<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\Controller\AdminController;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

class RseventsproControllerCategories extends AdminController
{
	public function getModel($name = 'Category', $prefix = 'RseventsproModel', $config = array('ignore_request' => true)) {
		return parent::getModel($name, $prefix, $config);
	}

	public function rebuild() {
		$this->setRedirect(Route::_('index.php?option=com_rseventspro&view=categories', false));

		$model = $this->getModel();

		if ($model->rebuild()) {
			// Rebuild succeeded.
			$this->setMessage(Text::_('COM_RSEVENTSPRO_CATEGORIES_REBUILD_SUCCESS'));

			return true;
		} else {
			// Rebuild failed.
			$this->setMessage(Text::_('COM_RSEVENTSPRO_CATEGORIES_REBUILD_FAILURE'));

			return false;
		}
	}

	public function saveOrderAjax() {
		// Get the arrays from the Request
		$pks			= $this->input->post->get('cid', null, 'array');
		$order			= $this->input->post->get('order', null, 'array');
		$originalOrder	= explode(',', $this->input->getString('original_order_values',''));
		
		// Make sure something has changed
		if ($order !== $originalOrder) {
			if ($this->getModel()->saveorder($pks, $order)) {
				echo 1;
			}
		}
		
		exit();
    }
}