<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\Controller\FormController;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

class RseventsproControllerEvent extends FormController
{
	public function __construct() {
		parent::__construct();
		
		$this->registerTask('getFeedback', 'loadData');
		$this->registerTask('getFaq', 'loadData');
		$this->registerTask('getItinerary', 'loadData');
		$this->registerTask('getTimeline', 'loadData');
		$this->registerTask('saveFeedback', 'saveData');
		$this->registerTask('saveFaq', 'saveData');
		$this->registerTask('saveItinerary', 'saveData');
		$this->registerTask('saveTimeline', 'saveData');
		$this->registerTask('removeFeedback', 'removeData');
		$this->registerTask('removeFaq', 'removeData');
		$this->registerTask('removeItinerary', 'removeData');
		$this->registerTask('removeTimeline', 'removeData');
		$this->registerTask('saveOrderFeedbackAjax', 'orderData');
		$this->registerTask('saveOrderFaqAjax', 'orderData');
		$this->registerTask('saveOrderFaqAjax', 'orderData');
		$this->registerTask('saveOrderTimelineAjax', 'orderData');
	}

	public function add() {
		$model = $this->getModel();
		
		// Save event
		$model->save($this->input->get('jform',array(),'array'));
		
		// Redirect
		$this->setRedirect('index.php?option=com_rseventspro&task=event.edit&id='.$model->getState('event.id'));
	}

	protected function getRedirectToItemAppend($recordId = null, $urlVar = 'id') {
		$append = parent::getRedirectToItemAppend($recordId, $urlVar);
		$append .= '&tab='.$this->input->getInt('tab',0);
		
		return $append;
	}

	public function removeticket() {
		// Remove the ticket
		$success = $this->getModel()->removeticket();
		
		echo 'RS_DELIMITER0';
		if ($success) echo 1; else echo 0;
		echo 'RS_DELIMITER1';
		exit();
	}

	public function removecoupon() {
		// Remove the coupon
		$success = $this->getModel()->removecoupon();
		
		echo 'RS_DELIMITER0';
		if ($success) echo 1; else echo 0;
		echo 'RS_DELIMITER1';
		exit();
	}
	
	public function upload() {
		$icon   = '';
		$model  = $this->getModel();
		
		// Upload event icon
		try {
			$model->upload();
			$icon = '&icon='.base64_encode($model->getState('com_rseventspro.edit.icon'));
		} catch (Exception $e) {
			$this->setMessage($e->getMessage(),'error');
		}

		$this->setRedirect(Route::_('index.php?option=com_rseventspro&view=event&layout=upload&tmpl=component'.$icon.'&id='.$this->input->getInt('id'),false));
	}
	
	public function deleteicon() {
		// Remove the event icon
		$success = $this->getModel()->deleteicon();
		
		echo 'RS_DELIMITER0';
		if ($success) echo 1; else echo 0;
		echo 'RS_DELIMITER1';
		exit();
	}
	
	public function crop() {
		// Get the model
		$model = $this->getModel();
		
		// Crop the event icon
		$model->crop();
		
		$this->setMessage(Text::_('COM_RSEVENTSPRO_CROP_SAVED'));
		return $this->setRedirect(Route::_('index.php?option=com_rseventspro&view=event&layout=upload&tmpl=component&icon='.base64_encode($model->getState('com_rseventspro.crop.icon')).'&id='.$this->input->getInt('id'),false));
	}
	
	public function savefile() {
		echo (int) $this->getModel()->savefile();
		exit();
	}
	
	public function removefile() {
		// Remove event files
		$success = $this->getModel()->removefile();
		
		echo 'RS_DELIMITER0';
		if ($success) echo 1; else echo 0;
		echo 'RS_DELIMITER1';
		exit();
	}
	
	public function tickets() {
		$this->getModel()->tickets();
		
		echo '<script type="text/javascript">'."\n";
		echo 'window.parent.jQuery(\'#rseTicketsModal\').modal(\'hide\');'."\n";
		echo '</script>'."\n";
		exit();
	}
	
	public function ticketsorder() {
		$this->getModel()->ticketsorder();
		
		exit();
	}
	
	public function subscribeUsers() {
		$this->getModel()->subscribeUsers();
		
		exit();
	}
	
	public function duplicateticket() {
		$model = $this->getModel();
		
		$response = $model->duplicateticket();
		
		echo json_encode($response);
		exit();
	}
	
	public function copy() {
		$model = $this->getModel();
		
		$id = $model->save2copy($this->input->getInt('id',0));
		
		$this->setMessage(Text::_('COM_RSEVENTSPRO_EVENT_DUPLICATE_OK'));
		
		return $this->setRedirect(Route::_('index.php?option=com_rseventspro&view=event&layout=edit&id='.$id,false));
	}
	
	public function saveTicketOptions() {
		$model = $this->getModel();
		
		$data = $this->input->get('jform', array(), 'array');
		
		if ($model->saveTicketOptions($data)) {
			echo '<script type="text/javascript">'."\n";
			echo 'window.parent.jQuery().colorbox.close();'."\n";
			echo 'window.parent.location.reload();'."\n";
			echo '</script>'."\n";
			exit();
		} else {
			$this->setRedirect(Route::_('index.php?option=com_rseventspro&view=event&layout=ticket&tmpl=component&id='.$data['id'], false));
		}
	}
	
	public function saveinvoice() {
		$model	= $this->getModel();
		
		$model->saveinvoice($this->input->get('jform', array(), 'array'));
		
		echo '<script>';
		echo 'window.parent.jQuery(\'#rsepro-invoice\').modal(\'hide\')';
		echo '</script>';
		exit();
	}
	
	public function loadData() {
		$model = $this->getModel();
		$task = $this->getTask();
		
		$response = $model->$task($this->input->getInt('id', 0));
		
		echo json_encode($response);
		
		exit();
	}
	
	public function saveData() {
		$model = $this->getModel();
		
		$task = $this->getTask();
		
		if ($task == 'saveFeedback') {
			$data = $this->input->get('feedback', array(), 'array');
		} else if ($task == 'saveFaq') {
			$data = $this->input->get('faq', array(), 'array');
		} else if ($task == 'saveItinerary') {
			$data = $this->input->get('itinerary', array(), 'array');
		} else if ($task == 'saveTimeline') {
			$data = $this->input->get('timeline', array(), 'array');
		}
		
		$response = $model->$task($data);
		
		echo json_encode($response);
		
		exit();
	}
	
	public function removeData() {
		$model = $this->getModel();
		$task = $this->getTask();
		
		$model->$task($this->input->getInt('id', 0));
		
		exit();
	}
	
	public function orderData() {
		$model = $this->getModel();
		$task = $this->getTask();
		
		$model->$task();
		
		exit();
	}
}