<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\Controller\BaseController;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class RseventsproControllerSettings extends BaseController
{
	public function __construct($config = array()) {
		parent::__construct($config);
		
		$this->registerTask('apply', 'save');
	}
	
	public function cancel() {
		$this->setRedirect('index.php?option=com_rseventspro');
	}

	public function getModel($name = 'Settings', $prefix = 'RseventsproModel', $config = array('ignore_request' => true)) {
		return parent::getModel($name, $prefix, $config);
	}
	
	public function save() {
		$model	= $this->getModel();
		$task   = $this->getTask();
		
		if (!$model->save($this->input->get('jform', array(), 'array'))) {
			$this->setMessage($model->getError(), 'error');
		} else {
			$this->setMessage(Text::_('COM_RSEVENTSPRO_SETTINGS_SAVED'), 'message');
		}

		if ($task == 'save') {
			$this->setRedirect('index.php?option=com_rseventspro');
		} elseif ($task == 'apply') {
			$this->setRedirect('index.php?option=com_rseventspro&view=settings');
		}
	}

	public function savetoken() {
		$model	= $this->getModel();
		
		if (!$model->savetoken()) {
			$this->setMessage($model->getError(), 'error');
			$this->setRedirect('index.php?option=com_rseventspro&view=settings');
		} else {
			$this->setRedirect('index.php?option=com_rseventspro&view=settings&fb=1');
		}
	}
	
	public function google() {
		$model	= $this->getModel();
		
		if (!$model->google()) {
			$this->setMessage(Text::_('COM_RSEVENTSPRO_GOOGLE_AUTH_ERROR'), 'error');
		} else {
			$this->setMessage(Text::_('COM_RSEVENTSPRO_GOOGLE_AUTH_OK'), 'message');
		}
		
		$this->setRedirect('index.php?option=com_rseventspro&view=settings');
	}
	
	public function gimport() {
		$model	= $this->getModel();
		
		if (!$model->gimport()) {
			$this->setMessage('[Google Calendar] '.$model->getError(), 'error');
			$this->setRedirect('index.php?option=com_rseventspro&view=settings');
		} else {
			$events = $model->getState('settings.gcevents');
			$this->setMessage(Text::sprintf('COM_RSEVENTSPRO_IMPORTED_FROM_GOOGLE',$events), 'message');
			$this->setRedirect('index.php?option=com_rseventspro&view=events');
		}
	}
	
	public function clearFacebookLog() {
		$db		= Factory::getDbo();
		$query	= $db->getQuery(true)->delete($db->qn('#__rseventspro_sync_log'))->where($db->qn('type').' = '.$db->q('facebook'));
		
		$db->setQuery($query)->execute();
		Factory::getDocument()->addScriptDeclaration('window.parent.jQuery("#rseproFacebookLog").modal("hide");');
	}
	
	public function clearGoogleLog() {
		$db		= Factory::getDbo();
		$query	= $db->getQuery(true)->delete($db->qn('#__rseventspro_sync_log'))->where($db->qn('type').' = '.$db->q('google'));
		
		$db->setQuery($query)->execute();
		Factory::getDocument()->addScriptDeclaration('window.parent.jQuery("#rseproGoogleLog").modal("hide");');
	}
	
	public function importFacebookEvents() {
		header('Content-Type: application/json');

		echo $this->getModel()->importFacebookEvents();
		exit();
	}
	
	public function saveinvoice() {
		$model	= $this->getModel();
		
		$model->saveinvoice($this->input->get('jform', array(), 'array'));
		
		echo '<script>';
		echo 'window.parent.jQuery(\'#rsepro-invoice\').modal(\'hide\')';
		echo '</script>';
		exit();
	}
}