<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\Controller\FormController;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class RseventsproControllerSubscription extends FormController
{
	public function __construct() {
		parent::__construct();
	}
	
	/*
	 *	Method to send the activation email.
	 */
	public function activation() {
		$id = $this->input->getInt('id');
		
		// Send activation email
		rseventsproHelper::confirm($id);
		
		// Redirect
		$this->setRedirect('index.php?option=com_rseventspro&task=subscription.edit&id='.$id, Text::_('COM_RSEVENTSPRO_ACTIVATION_EMAIL_SENT'));
	}
	
	/*
	 *	Method to get user email address.
	 */
	public function email() {
		$user	= Factory::getUser($this->input->getInt('id', 0));
		
		echo json_encode(
			array(
				'id'        => $user->get('id'),
				'name'      => $user->get('name'),
				'username'  => $user->get('username'),
				'email'     => $user->get('email')
			)
		);

		exit();
	}
	
	/*
	 *	Method to confirm a ticket
	 */
	public function confirm() {
		echo $this->getModel()->confirm($this->input->getInt('id',0), $this->input->getString('code'));
		
		exit();
	}
	
	public function invoice() {
		require_once JPATH_SITE.'/components/com_rseventspro/helpers/invoice.php';

		$invoice = RSEventsProInvoice::getInstance($this->input->getInt('id',0));
		
		$invoice->output();
	}
}