<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\Controller\AdminController;
use Joomla\Utilities\ArrayHelper;
use Joomla\CMS\Language\Text;

class RseventsproControllerSubscriptions extends AdminController
{
	protected $text_prefix = 'COM_RSEVENTSPRO_SUBSCRIPTIONS';
	
	public function __construct($config = array()) {
		parent::__construct($config);

		$this->registerTask('complete', 'status');
		$this->registerTask('incomplete', 'status');
		$this->registerTask('denied', 'status');
		$this->registerTask('refund', 'status');
	}
	
	public function getModel($name = 'Subscription', $prefix = 'RseventsproModel', $config = array('ignore_request' => true)) {
		return parent::getModel($name, $prefix, $config);
	}
	
	/**
	 *
	 * Method to toggle the subscription status.
	 *
	 */
	public function status() {
		$ids	= $this->input->get('cid', array(), 'array');
		$values	= array('complete' => 1, 'incomplete' => 0, 'denied' => 2, 'refund' => 3);
		$task	= $this->getTask();
		$value	= ArrayHelper::getValue($values, $task, 0, 'int');
		
		if (empty($ids)) {
			$this->setMessage(Text::_('JERROR_NO_ITEMS_SELECTED'), 'error');
		} else {
			// Get the model.
			$model = $this->getModel();

			// Change status.
			if (!$model->status($ids, $value)) {
				$this->setMessage($model->getError(), 'error');
			}
		}

		$this->setRedirect('index.php?option=com_rseventspro&view=subscriptions');
	}
	
	/**
	 *
	 * Method to export subscriptions.
	 *
	 */
	public function export() {
		$model = parent::getModel('Subscriptions', 'rseventsproModel');
		$model->export();
	}
}