<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\Controller\AdminController;
use Joomla\CMS\Language\Text;

class RseventsproControllerUnsubscribers extends AdminController
{
	protected $text_prefix = 'COM_RSEVENTSPRO_UNSUBSCRIBERS';
	
	public function __construct($config = array()) {
		parent::__construct($config);
	}
	
	public function getModel($name = 'Unsubscribers', $prefix = 'RseventsproModel', $config = array('ignore_request' => true)) {
		return parent::getModel($name, $prefix, $config);
	}
	
	public function delete() {
		$pks	= $this->input->get('cid', array(), 'array');
		$ide	= $this->input->getInt('ide', 0);
		
		if (empty($pks)) {
			$this->setMessage(Text::_('JERROR_NO_ITEMS_SELECTED'), 'error');
		} else {
			// Get the model.
			$model = $this->getModel();

			// Change status.
			if (!$model->delete($pks)) {
				$this->setMessage($model->getError(), 'error');
			} else {
				$this->setMessage(Text::_('COM_RSEVENTSPRO_UNSUBSCRIBERS_REMOVED'));
			}
		}

		$this->setRedirect('index.php?option=com_rseventspro&view=unsubscribers&id='.$ide);
	}
	
	public function export() {
		$this->getModel()->export();
	}
}