<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\MVC\Controller\AdminController;
use Joomla\CMS\Language\Text;

class RseventsproControllerWaitinglist extends AdminController
{
	public function __construct($config = array()) {
		parent::__construct($config);
		
		$this->registerTask('apply', 'save');
	}
	
	public function getModel($name = 'Waitinglist', $prefix = 'RseventsproModel', $config = array()) {
		return parent::getModel($name, $prefix, $config);
	}
	
	public function save() {
		$model	= $this->getModel();
		$task	= $this->getTask();
		$jform	= $this->input->get('jform', array(), 'array');

		if ($model->save($jform)) {
			$this->setMessage(Text::_('JLIB_APPLICATION_SAVE_SUCCESS'));
		} else {
			$errors = $model->getErrors();

			for ($i = 0, $n = count($errors); $i < $n && $i < 3; $i++) {
				if ($errors[$i] instanceof \Exception) {
					$this->setMessage($errors[$i]->getMessage(), 'warning');
				} else {
					$this->setMessage($errors[$i], 'warning');
				}
			}
		}
		
		if ($task == 'apply') {
			return $this->setRedirect('index.php?option=com_rseventspro&view=waitinglist&layout=edit&id='.$jform['id']);
		} else {
			return $this->setRedirect('index.php?option=com_rseventspro&view=waitinglist&id='.$jform['ide']);
		}
	}
	
	public function cancel() {
		$jform = $this->input->get('jform', array(), 'array');
		
		return $this->setRedirect('index.php?option=com_rseventspro&view=waitinglist&id='.$jform['ide']);
	}
	
	public function delete() {
		$pks	= $this->input->get('cid', array(), 'array');
		$id		= $this->input->getInt('id', 0);
		
		$this->setMessage(Text::plural('COM_RSEVENTSPRO_N_ITEMS_DELETED', count($pks)));

		$this->getModel()->delete($pks);
		
		return $this->setRedirect('index.php?option=com_rseventspro&view=waitinglist&id='.$id);
	}
	
	public function approve() {
		$pks	= $this->input->get('cid', array(), 'array');
		$id		= $this->input->getInt('id', 0);

		$this->getModel()->approve($pks);
		
		$this->setMessage(Text::_('COM_RSEVENTSPRO_WAITINGLIST_EMAILS_SENT'));
		
		return $this->setRedirect('index.php?option=com_rseventspro&view=waitinglist&id='.$id);
	}
	
	public function export() {
		$this->getModel()->export();
	}
}