<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\MVC\Model\AdminModel;
use Joomla\Registry\Registry;
use Joomla\CMS\Table\Table;
use Joomla\CMS\Factory;

class RseventsproModelDiscount extends AdminModel
{
	protected $text_prefix = 'COM_RSEVENTSPRO';

	public function getTable($type = 'Discount', $prefix = 'RseventsproTable', $config = array()) {
		return Table::getInstance($type, $prefix, $config);
	}
	
	public function getItem($pk = null) {
		if ($item = parent::getItem($pk)) {
			try {
				$registry = new Registry;
				$registry->loadString($item->events ? $item->events : '');
				$item->events = $registry->toArray();
			} catch (Exception $e) {
				$item->events = array();
			}
			
			try {
				$registry = new Registry;
				$registry->loadString($item->groups ? $item->groups : '');
				$item->groups = $registry->toArray();
			} catch (Exception $e) {
				$item->groups = array();
			}
			
			$item->usage = empty($item->usage) ? '' : (int) $item->usage;
			$item->same_tickets = empty($item->same_tickets) ? '' : (int) $item->same_tickets;
			$item->different_tickets = empty($item->different_tickets) ? '' : (int) $item->different_tickets;
			$item->cart_tickets = empty($item->cart_tickets) ? '' : (int) $item->cart_tickets;
			$item->totalvalue = empty($item->totalvalue) ? '' : (float) $item->totalvalue;
		}
		
		return $item;
	}
	
	public function getForm($data = array(), $loadData = true) {
		// Get the form.
		$form = $this->loadForm('com_rseventspro.discount', 'discount', array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form))
			return false;
		
		if (rseventsproHelper::isJ4()) {
			$form->setFieldAttribute('events','layout','joomla.form.field.list-fancy-select');
			$form->setFieldAttribute('groups','layout','joomla.form.field.list-fancy-select');
		}
		
		return $form;
	}
	
	protected function loadFormData() {
		// Check the session for previously entered form data.
		$data = Factory::getApplication()->getUserState('com_rseventspro.edit.discount.data', array());

		if (empty($data))
			$data = $this->getItem();

		return $data;
	}
}