<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\MVC\Model\AdminModel;
use Joomla\CMS\Table\Table;
use Joomla\CMS\Factory;

class RseventsproModelEmail extends AdminModel
{
	protected $text_prefix = 'COM_RSEVENTSPRO';

	public function getTable($type = 'Email', $prefix = 'RseventsproTable', $config = array()) {
		return Table::getInstance($type, $prefix, $config);
	}

	public function getItem($pk = null) {
		return parent::getItem($pk);
	}

	public function getForm($data = array(), $loadData = true) {
		// Get the form.
		$form = $this->loadForm('com_rseventspro.email', 'email', array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form))
			return false;
		
		return $form;
	}

	protected function loadFormData() {
		// Check the session for previously entered form data.
		$data = Factory::getApplication()->getUserState('com_rseventspro.edit.email.data', array());

		if (empty($data))
			$data = $this->getItem();
			
		return $data;
	}

	public function save($data) {
		$data = Factory::getApplication()->input->get('jform', array(), 'array');

		$table = $this->getTable();
		$pk = (!empty($data['id'])) ? $data['id'] : (int) $this->getState($this->getName() . '.id');
		$isNew = true;

		// Load the row if saving an existing category.
		if ($pk > 0) {
			$table->load($pk);
			$isNew = false;
		}

		// Bind the data.
		if (!$table->bind($data)) {
			$this->setError($table->getError());
			return false;
		}

		// Check the data.
		if (!$table->check()) {
			$this->setError($table->getError());
			return false;
		}

		// Store the data.
		if (!$table->store()) {
			$this->setError($table->getError());
			return false;
		}

		$this->setState($this->getName() . '.id', $table->id);

		return true;
	}

	public function getData() {
		$db     = Factory::getDbo();
		$query  = $db->getQuery(true);
		$input  = Factory::getApplication()->input;
		$id     = $input->getInt('id', 0);
		$lang   = $input->getString('lang', '');
		$parent = $input->getInt('parent', 0);

		if ($id) {
			$query->clear()
				->select('*')
				->from($db->qn('#__rseventspro_emails'))
				->where($db->qn('type').' = '.$db->q('rule'))
				->where($db->qn('id').' = '.$db->q($id));
			$db->setQuery($query);
			return $db->loadObject();
		} else {
			$query->clear()
				->select('*')
				->from($db->qn('#__rseventspro_emails'))
				->where($db->qn('type').' = '.$db->q('rule'))
				->where($db->qn('lang').' = '.$db->q($lang))
				->where($db->qn('parent').' = '.$db->q($parent));
			$db->setQuery($query);
			if ($data = $db->loadObject()) {
				return $data;
			} else {
				$query->clear()
					->select('*')
					->from($db->qn('#__rseventspro_emails'))
					->where($db->qn('type').' = '.$db->q('rule'))
					->where($db->qn('id').' = '.$db->q($parent));
				$db->setQuery($query);
				$data = $db->loadObject();
				$data->lang = $lang;
				$data->parent = $parent;
				$data->id = 0;

				return $data;
			}
		}
	}
}