<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\MVC\Model\ListModel;
use Joomla\CMS\Factory;

class RseventsproModelFeedbacks extends ListModel
{
	public function __construct($config = array()) {
		if (empty($config['filter_fields'])) {
			$config['filter_fields'] = array(
				'id', 'date', 'f.date', 'f.id'
			);
		}
		
		parent::__construct($config);
	}
	
	protected function populateState($ordering = null, $direction = null) {
		parent::populateState('f.date', 'desc');
    }
	
	protected function getListQuery() {
		$db 	= Factory::getDBO();
		$query 	= $db->getQuery(true);
		$id		= Factory::getApplication()->input->getInt('id',0);
		
		// Select fields
		$query->select($db->qn('f.id'))->select($db->qn('f.email'))->select($db->qn('f.date'));
		$query->select($db->qn('u.name'));
		
		// Select from table
		$query->from($db->qn('#__rseventspro_event_feedback', 'f'));
		
		// Join over the users table
		$query->join('LEFT', $db->qn('#__users', 'u').' ON '.$db->qn('u.id').' = '.$db->qn('f.idu'));
		
		// Filter by search in name
		$search = $this->getState('filter.search');
		if (!empty($search)) {
			$search = $db->q('%'.$db->escape($search, true).'%');
			$query->where('('.$db->qn('u.name').' LIKE '.$search.' OR '.$db->qn('f.email').' LIKE '.$search.')');
		}
		
		$query->where($db->qn('f.ide').' = '.$db->q($id));
		
		// Add the list ordering clause
		$listOrdering = $this->getState('list.ordering', 'f.date');
		$listDirn = $db->escape($this->getState('list.direction', 'desc'));
		$query->order($db->qn($listOrdering).' '.$listDirn);

		return $query;
	}
	
	public function delete($pks) {
		$db		= Factory::getDbo();
		$query	= $db->getQuery(true);
		$pks	= array_map('intval', $pks);
		
		$query->clear()
			->delete($db->qn('#__rseventspro_event_feedback'))
			->where($db->qn('id').' IN ('.implode(',',$pks).')');
		$db->setQuery($query);
		$db->execute();
		
		$query->clear()
			->delete($db->qn('#__rseventspro_event_feedback_data'))
			->where($db->qn('idf').' IN ('.implode(',',$pks).')');
		$db->setQuery($query);
		$db->execute();
		
		return true;
	}
	
	public function getFeedbackForm() {
		$input	= Factory::getApplication()->input;
		$ide	= $input->getInt('ide',0);
		$id		= $input->getInt('id',0);
		
		rseventsproHelper::viewFeedbackForm($id, $ide);
	}
}