<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license     GNU General Public License version 2 or later; see LICENSE
*/

defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Factory;

FormHelper::loadFieldClass('list');

JLoader::registerAlias('JFormFieldList', '\\Joomla\\CMS\\Form\\Field\\ListField');

class JFormFieldEvents extends JFormFieldList
{
	public $type = 'Events';

	protected function getOptions() {
		$db		= Factory::getDbo();
		$query	= $db->getQuery(true);
		$active	= rseventsproHelper::getConfig('active_events');
		$tz		= Factory::getConfig()->get('offset');
		$return = array();

		$discounts	= (string) $this->element['discounts'];
		$discounts	= $discounts === 'true';

		$today = Factory::getDate();
		$today->setTime(0,0,0);
		$today = $today->toSql();
		
		$today = Factory::getDate($today, $tz);
		$today->setTimezone(new DateTimezone('UTC'));
		$today = $today->toSql();
		
		$query->select($db->qn('id'))
			->select($db->qn('name'))
			->select($db->qn('start'))
			->from($db->qn('#__rseventspro_events'))
			->where($db->qn('registration').' = '.$db->q(1))
			->where($db->qn('published').' = '.$db->q(1))
			->where($db->qn('completed').' = '.$db->q(1))
			->order($db->qn('start').' ASC');

		if ($discounts) {
			$query->where($db->qn('discounts').' = '.$db->q(1));
		}

		if ($active) {
			$query->where('(('.$db->qn('end').' >= '.$db->q(Factory::getDate()->toSql()).' AND '.$db->qn('end').' != '.$db->q($db->getNullDate()).') OR ('.$db->qn('end').' = '.$db->q($db->getNullDate()).' AND '.$db->qn('start').' >= '.$db->q($today).'))');
		}
		
		$db->setQuery($query);
		if ($events = $db->loadObjectList()) {
			foreach ($events as $event) {
				$event->name .= ' ('.rseventsproHelper::showdate($event->start).')';
				$return[] = HTMLHelper::_('select.option', $event->id, $event->name);
			}
		}
		
		return $return;
	}
}