<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license     GNU General Public License version 2 or later; see LICENSE
*/

defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\HTML\HTMLHelper;

FormHelper::loadFieldClass('list');

JLoader::registerAlias('JFormFieldList', '\\Joomla\\CMS\\Form\\Field\\ListField');

class JFormFieldFbgroups extends JFormFieldList
{
	public $type = 'Fbgroups';
	
	protected function getInput() {
		if (!is_array($this->value)) {		
			if (strpos($this->value, ',') !== false) {
				$this->setValue(explode(',',$this->value));
			}
		}
		
		return parent::getInput();
	}
	
	protected function getOptions() {
		require_once JPATH_SITE.'/components/com_rseventspro/helpers/rseventspro.php';
		require_once JPATH_SITE.'/components/com_rseventspro/helpers/facebook/autoload.php';
		
		$options	= array();
		$config		= rseventsproHelper::getConfig();
		
		if ($config->facebook_token) {
			try {
				$facebook = new Facebook\Facebook(array(
					'app_id' => $config->facebook_appid,
					'app_secret' => $config->facebook_secret,
					'default_graph_version' => 'v14.0',
					'default_access_token' => $config->facebook_token,
					'pseudo_random_string_generator' => 'openssl'
				));
				
				$request	= $facebook->get('me/groups?admin_only=true&fields=id,name&limit=200');
				$accounts	= $request->getDecodedBody();
				
				if (!empty($accounts['data'])) {
					foreach ($accounts['data'] as $account) {
						$options[] = HTMLHelper::_('select.option', $account['id'], $account['name']);
					}
				}
			} catch (Exception $e) {
				
			}
			
			// Merge any additional options in the XML definition.
			$options = array_merge(parent::getOptions(), $options);
			
			return $options;
		}
	}
}