<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license     GNU General Public License version 2 or later; see LICENSE
*/

defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\Factory;

FormHelper::loadFieldClass('list');

JLoader::registerAlias('JFormFieldList', '\\Joomla\\CMS\\Form\\Field\\ListField');

class JFormFieldFiltertickets extends JFormFieldList
{
	public $type = 'Filtertickets';

	protected function getOptions() {
		if (!class_exists('rseventsproHelper')) {
			require_once JPATH_SITE.'/components/com_rseventspro/helpers/rseventspro.php';
		}
		
		$id		= Factory::getApplication()->getUserStateFromRequest('com_rseventspro.subscriptions.filter.event', 'filter_event', '', 'string');
		$db		= Factory::getDbo();
		$query	= $db->getQuery(true);
		
		$query->clear()
			->select($db->qn('id','value'))->select($db->qn('name','text'))
			->from($db->qn('#__rseventspro_tickets'))
			->where($db->qn('ide').' = '.(int) $id)
			->order($db->qn('order').' ASC');
			
		$db->setQuery($query);
		if ($tickets = $db->loadObjectList()) {
			if (Factory::getApplication()->isClient('site')) {
				foreach ($tickets as $ticket) {
					// Replace translations
					if ($translation = RSEventsProTranslations::getTranslation('ticket', $ticket->value, 'name')) {
						$ticket->text = $translation;
					}
				}
			}
		}
		
		$options = parent::getOptions();
		return array_merge($options, $tickets);
	}
}