<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license     GNU General Public License version 2 or later; see LICENSE
*/

defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

FormHelper::loadFieldClass('list');

JLoader::registerAlias('JFormFieldList', '\\Joomla\\CMS\\Form\\Field\\ListField');

class JFormFieldFont extends JFormFieldList
{
	public $type = 'Font';

	protected function getOptions() {
		$path = JPATH_SITE.'/components/com_rseventspro/helpers/pdf/vendor/dompdf/dompdf/lib/fonts/';
		
		$options 	= array();
		$options[] = HTMLHelper::_('select.option', 'dejavu sans', Text::_('DejaVu Sans (Unicode)'), 'value', 'text', !file_exists($path.'DejaVuSans.ufm'));
		$options[] = HTMLHelper::_('select.option', 'fireflysung', Text::_('Firefly (Unicode)'), 'value', 'text', !file_exists($path.'fireflysung.ufm'));
		// get fonts
		$options[] = HTMLHelper::_('select.option', 'courier', Text::_('Courier'));
		$options[] = HTMLHelper::_('select.option', 'helvetica', Text::_('Helvetica'));
		$options[] = HTMLHelper::_('select.option', 'times', Text::_('Times Roman'));
		
		return $options;
	}
}