<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license     GNU General Public License version 2 or later; see LICENSE
*/

defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Factory;

FormHelper::loadFieldClass('list');

JLoader::registerAlias('JFormFieldList', '\\Joomla\\CMS\\Form\\Field\\ListField');

class JFormFieldGcalendars extends JFormFieldList
{
	public $type = 'Gcalendars';
	
	protected function getInput() {
		if (!is_array($this->value)) {		
			if (strpos($this->value, ',') !== false) {
				$this->setValue(explode(',',$this->value));
			}
		}
		
		return parent::getInput();
	}
	
	protected function getOptions() {
		$options = array();
		
		require_once JPATH_SITE.'/components/com_rseventspro/helpers/google.php';
		
		try {
			$google	= new RSEPROGoogle();
			if ($calendars = $google->getCalendars()) {
				foreach ($calendars as $id => $name) {
					$options[] = HTMLHelper::_('select.option', $id, $name);
				}
			}
		} catch(Exception $e) {
			Factory::getApplication()->enqueueMessage('[Google Calendar] '.$e->getMessage(), 'error');
		}
			
		return $options;
	}
}