<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license     GNU General Public License version 2 or later; see LICENSE
*/

defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\Factory;

FormHelper::loadFieldClass('list');

JLoader::registerAlias('JFormFieldList', '\\Joomla\\CMS\\Form\\Field\\ListField');

class JFormFieldGroups extends JFormFieldList
{
	public $type = 'Groups';

	protected function getOptions() {
		static $groups;
		
		if (!isset($groups)) {
			$db = Factory::getDbo();
			$query = $db->getQuery(true);
			
			$query->clear()
				->select($db->qn('id','value'))->select($db->qn('name','text'))
				->from($db->qn('#__rseventspro_groups'));
			
			$db->setQuery($query);
			$groups = $db->loadObjectList();
		}
		
		return $groups;
	}
}