<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license     GNU General Public License version 2 or later; see LICENSE
*/

defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\HTML\HTMLHelper;

FormHelper::loadFieldClass('list');

JLoader::registerAlias('JFormFieldList', '\\Joomla\\CMS\\Form\\Field\\ListField');

class JFormFieldRecurring extends JFormFieldList
{
	public $type = 'Recurring';

	protected function getOptions() {
		$options = array();
		
		if ($this->value) {
			foreach ($this->value as $option) {
				$options[] = HTMLHelper::_('select.option', $option, $option);
			}
		}
		
		return $options;
	}
}