<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license     GNU General Public License version 2 or later; see LICENSE
*/

defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Form\FormField;
use Joomla\CMS\Language\Text;

class JFormFieldRSCheckbox extends FormField
{
	/**
	 * The form field type.
	 *
	 * @var    string
	 * @since  11.1
	 */
	public $type = 'RSCheckbox';

	protected function getInput() {
		$html		= array();
		$label		= (string) $this->element['label'];
		$checked 	= $this->value ? 'checked="checked"' : '';
		$muted		= (string) $this->element['muted'];
		$disabled	= (string) $this->element['disabled'];
		$disabled	= $disabled === 'true' ? ' disabled' : '';
		$onclick    = (string) $this->element['onclick'];
		$onchange   = (string) $this->element['onchange'];
		$onclick    = $onclick ? ' onclick="' . $onclick . '"' : '';
		$onchange   = $onchange ? ' onchange="' . $onchange . '"' : '';
		
		$html[] = '<label for="'.$this->id.'" class="checkbox '.($muted === 'true' ? RSEventsproAdapterGrid::styles(array('muted')) : '').'">';
		$html[] = '<input type="checkbox" id="'.$this->id.'" name="'.$this->name.'" value="1" '.$checked.$disabled.$onclick.$onchange.' /> '.Text::_($label);
		$html[] = '</label>';
		
		return implode("\n", $html);
	}
	
	protected function getLabel() {
		return '';
	}
}