<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license     GNU General Public License version 2 or later; see LICENSE
*/

defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\HTML\HTMLHelper;

FormHelper::loadFieldClass('hidden');

JLoader::registerAlias('JFormFieldHidden', '\\Joomla\\CMS\\Form\\Field\\HiddenField');

class JFormFieldRSChosen extends JFormFieldHidden
{
	public $type = 'RSChosen';

	public function __construct() {
		if (!class_exists('rseventsproHelper')) {
			require_once JPATH_SITE.'/components/com_rseventspro/helpers/rseventspro.php';
		}
		if (!class_exists('JHTMLRSEventsPro')) {
			require_once JPATH_SITE.'/components/com_rseventspro/helpers/html.php';
		}
		
		if (!rseventsproHelper::isJ4()) {
			// Load jQuery
			rseventsproHelper::loadjQuery();
			// Load Chosen library
			HTMLHelper::_('rseventspro.chosen','.rschosen');
		}
	}

	protected function getLabel() {
		return '';
	}
}