<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license     GNU General Public License version 2 or later; see LICENSE
*/

defined('JPATH_PLATFORM') or die;

use Joomla\CMS\Form\FormHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

FormHelper::loadFieldClass('list');

JLoader::registerAlias('JFormFieldList', '\\Joomla\\CMS\\Form\\Field\\ListField');

class JFormFieldRSList extends JFormFieldList
{
	public $type = 'RSList';

	function __construct($parent = null) {
		parent::__construct($parent);
		
		if (!class_exists('rseventsproHelper')) {
			require_once JPATH_SITE.'/components/com_rseventspro/helpers/rseventspro.php';
		}
		
		rseventsproHelper::loadLang(true);
		
		// Load jQuery
		rseventsproHelper::loadjQuery();
		
		HTMLHelper::script('com_rseventspro/admin.js', array('relative' => true));
		Factory::getDocument()->addScriptDeclaration("jQuery(window).ready(function() { rsepro_change_list(jQuery('#jform_params_list').val()); });");
	}
	
	protected function getOptions() {
		$xmloptions = parent::getOptions();
		
		$options = array (
			HTMLHelper::_('select.option','all', Text::_('COM_RSEVENTSPRO_EVENTS_VIEW_LIST_TYPE_ALL')),
			HTMLHelper::_('select.option','featured', Text::_('COM_RSEVENTSPRO_EVENTS_VIEW_LIST_TYPE_FEATURED')),
			HTMLHelper::_('select.option','future', Text::_('COM_RSEVENTSPRO_EVENTS_VIEW_LIST_TYPE_FUTURE')),
			HTMLHelper::_('select.option','archived', Text::_('COM_RSEVENTSPRO_EVENTS_VIEW_LIST_TYPE_ARCHIVED')),
			HTMLHelper::_('select.option','user', Text::_('COM_RSEVENTSPRO_EVENTS_VIEW_LIST_TYPE_USER'))
		);
		
		if ($xmloptions) {
			$options = array_merge($options, $xmloptions);
		}
		
		return $options;
	}
}