<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\MVC\Model\AdminModel;
use Joomla\Registry\Registry;
use Joomla\CMS\Table\Table;
use Joomla\CMS\Factory;

class RseventsproModelLocation extends AdminModel
{
	protected $text_prefix = 'COM_RSEVENTSPRO';

	public function getTable($type = 'Location', $prefix = 'RseventsproTable', $config = array()) {
		return Table::getInstance($type, $prefix, $config);
	}

	public function getItem($pk = null) {
		if ($item = parent::getItem($pk)) {
			// Convert the gallery tags field to an array.
			try {
				$registry = new Registry;
				$registry->loadString($item->gallery_tags ? $item->gallery_tags : '');
				$item->gallery_tags = $registry->toArray();
			} catch (Exception $e) {
				$item->gallery_tags = array();
			}
			
			RSEventsProTranslations::overrideValues($item, 'location');
		}
		
		return $item;
	}

	public function getForm($data = array(), $loadData = true) {
		// Get the form.
		$form = $this->loadForm('com_rseventspro.location', 'location', array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form))
			return false;
		
		if (rseventsproHelper::isJ4()) {
			$form->setFieldAttribute('gallery_tags', 'layout', 'joomla.form.field.list-fancy-select');
		}
		
		RSEventsProTranslations::setTranslateIcon($form, 'location');
		
		return $form;
	}

	protected function loadFormData() {
		// Check the session for previously entered form data.
		$data = Factory::getApplication()->getUserState('com_rseventspro.edit.location.data', array());

		if (empty($data))
			$data = $this->getItem();

		return $data;
	}
}