<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\MVC\Model\AdminModel;
use Joomla\CMS\Table\Table;
use Joomla\CMS\Factory;

class RseventsproModelPayment extends AdminModel
{	
	protected $text_prefix = 'COM_RSEVENTSPRO';

	public function getTable($type = 'Payment', $prefix = 'RseventsproTable', $config = array()) {
		return Table::getInstance($type, $prefix, $config);
	}

	public function getItem($pk = null) {
		if ($item = parent::getItem($pk)) {
			RSEventsProTranslations::overrideValues($item, 'payment');
		}
		
		return $item;
	}

	public function getForm($data = array(), $loadData = true) {
		// Get the form.
		$form = $this->loadForm('com_rseventspro.payment', 'payment', array('control' => 'jform', 'load_data' => $loadData));
		if (empty($form))
			return false;
		
		RSEventsProTranslations::setTranslateIcon($form, 'payment');
		
		return $form;
	}

	protected function loadFormData() {
		$data = Factory::getApplication()->getUserState('com_rseventspro.edit.payment.data', array());

		if (empty($data))
			$data = $this->getItem();

		return $data;
	}
}