<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\String\StringHelper;
use Joomla\CMS\Table\Category;
use Joomla\CMS\Table\Table;

class RseventsproTableCategory extends Category
{
	public function delete($pk = null, $children = true) {
		$delete = parent::delete($pk, $children);
		
		if ($delete) RSEventsProTranslations::removeTranslations('category', $pk);
		
		return $delete;
	}

	public function check() {
		parent::check();
		
		if (!empty($this->id)) {
			RSEventsProTranslations::saveTranslations($this, 'category', RSEventsProTranslations::getLanguage('category', $this->id));
		}
		
		$table = Table::getInstance('Category', 'RseventsproTable');
		
		while ($table->load(array('alias' => $this->alias, 'parent_id' => $this->parent_id, 'extension' => $this->extension))) {
			$this->alias = StringHelper::increment($this->alias, 'dash');
		}
		
		return true;
	}
}