<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\Registry\Registry;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Table\Table;

class RseventsproTableGroup extends Table
{
	public function __construct($db) {
		parent::__construct('#__rseventspro_groups', 'id', $db);
	}
	
	public function check() {
		if (isset($this->jgroups) && is_array($this->jgroups)) {
			$registry = new Registry;
			$registry->loadArray($this->jgroups);
			$this->jgroups = (string) $registry;
		} else $this->jgroups = '';
		
		if (isset($this->jusers) && is_array($this->jusers)) {
			$registry = new Registry;
			$registry->loadArray($this->jusers);
			$this->jusers = (string) $registry;
		} else $this->jusers = '';
		
		if (isset($this->event) && is_array($this->event)) {
			$registry = new Registry;
			$registry->loadArray($this->event);
			
			if (!$registry->get('sharing')) {
				$registry->set('sharing', array());
			}
			
			$this->event = (string) $registry;
		} else $this->event = '';
		
		if (isset($this->restricted_categories) && is_array($this->restricted_categories)) {
			$registry = new Registry;
			$registry->loadArray($this->restricted_categories);
			$this->restricted_categories = (string) $registry;
		} else $this->restricted_categories = '';
		
		if (isset($this->default_category) && is_array($this->default_category)) {
			$registry = new Registry;
			$registry->loadArray($this->default_category);
			$this->default_category = (string) $registry;
		} else $this->default_category = '';
		
		// Check for required data
		if (empty($this->jgroups) && empty($this->jusers)) {
			$this->setError(Text::_('COM_RSEVENTSPRO_GROUPS_ERROR'));
			return false;
		}
		
		return true;
	}
}