<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\Registry\Registry;
use Joomla\CMS\Table\Table;
use Joomla\CMS\Factory;

class RseventsproTableLocation extends Table
{
	public function __construct($db) {
		parent::__construct('#__rseventspro_locations', 'id', $db);
	}

	public function check() {
		// Let's check the coordinates
		try {
			$this->coordinates = rseventsproHelper::checkCoordinates($this->coordinates);
		} catch(Exception $e) {
			$this->setError($e->getMessage());
			return false;
		}
		
		if (isset($this->gallery_tags) && is_array($this->gallery_tags)) {
			$registry = new Registry;
			$registry->loadArray($this->gallery_tags);
			$this->gallery_tags = (string) $registry;
		} else {
			$this->gallery_tags = '';
		}
		
		if (empty($this->id)) {
			$this->ordering = self::getNextOrder();
			$this->language = Factory::getLanguage()->getTag();
		} else {
			$lang = Factory::getApplication()->isClient('site') ? Factory::getLanguage()->getTag() : RSEventsProTranslations::getLanguage('location', $this->id);
			RSEventsProTranslations::saveTranslations($this, 'location', $lang);
		}
		
		return true;
	}
	
	public function delete($pk = null, $children = true) {
		$delete = parent::delete($pk, $children);
		
		if ($delete) RSEventsProTranslations::removeTranslations('location', $pk);
		
		return $delete;
	}
}