<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Language\Text;
use Joomla\CMS\Table\Table;
use Joomla\Filesystem\File;
use Joomla\CMS\Factory;

class RseventsproTableSponsor extends Table
{
	public function __construct($db) {
		parent::__construct('#__rseventspro_sponsors', 'id', $db);
	}
	
	public function uploadImage() {
		$db		= $this->getDbo();
		$query	= $db->getQuery(true);
		$images = Factory::getApplication()->input->files->get('jform',array(),'array');
		$image 	= $images['image'];
		$path	= JPATH_SITE.'/components/com_rseventspro/assets/images/sponsors/';
		$width	= rseventsproHelper::getConfig('sponsor_icon_width', 'int', 250);
		
		if ($image['size'] > 0 && $image['error'] == 0) {
			$ext = strtolower(rseventsproHelper::getExt($image['name']));
			
			if (in_array($ext,array('jpg','jpeg','png'))) {
			
				$query->select($db->qn('image'))
					->from($db->qn('#__rseventspro_sponsors'))
					->where($db->qn('id').' = '.(int) $this->id);
				$db->setQuery($query);
				if ($theimage = $db->loadResult()) {
					if (file_exists($path.$theimage)) {
						File::delete($path.$theimage);
					}
				}
				
				require_once JPATH_SITE.'/components/com_rseventspro/helpers/phpthumb/phpthumb.class.php';
				
				$thumb = new phpThumb();
				$thumb->src = $image['tmp_name'];
				$thumb->w = $width;
				$thumb->zc = 'C';
				$thumb->q = 75;
				$thumb->config_output_format = $ext;
				$thumb->config_error_die_on_error = false;
				$thumb->config_cache_disable_warning = true;
				$thumb->config_allow_src_above_docroot = true;
				$thumb->cache_filename = $path.$this->id.'.'.$ext;
				
				if ($thumb->GenerateThumbnail()) {
					$thumb->RenderToFile($thumb->cache_filename);
					
					$query->clear()
						->update($db->qn('#__rseventspro_sponsors'))
						->set($db->qn('image').' = '.$db->q($this->id.'.'.$ext))
						->where($db->qn('id').' = '.(int) $this->id);
					$db->setQuery($query);
					$db->execute();
				}
			} else {
				Factory::getApplication()->enqueueMessage(Text::sprintf('COM_RSEVENTSPRO_WRONG_EXTENSION', $image['name']), 'error');
			}
		}
	}

	public function delete($pk = null, $children = false) {
		$db		= $this->getDBO();
		$query	= $db->getQuery(true);
		
		$query->select($db->qn('image'))
			->from($db->qn('#__rseventspro_sponsors'))
			->where($db->qn('id').' = '.$db->q($pk));
		$db->setQuery($query);
		if ($image = $db->loadResult()) {
			if (file_exists(JPATH_SITE.'/components/com_rseventspro/assets/images/sponsors/'.$image))
				File::delete(JPATH_SITE.'/components/com_rseventspro/assets/images/sponsors/'.$image);
		}
		
		return parent::delete($pk, $children);
	}
}