<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Language\Text;
use Joomla\CMS\Table\Table;
use Joomla\CMS\Factory;

class RseventsproTableTag extends Table
{
	public function __construct($db) {
		parent::__construct('#__rseventspro_tags', 'id', $db);
	}

	public function check() {
		if (empty($this->id)) {
			$this->language = Factory::getLanguage()->getTag();
		} else {
			RSEventsProTranslations::saveTranslations($this, 'tag', RSEventsProTranslations::getLanguage('tag', $this->id));
		}
		
		return true;
	}

	public function store($updateNulls = false) {
		// Verify that the alias is unique
		$table = Table::getInstance('Tag', 'RseventsproTable');
		if ($table->load(array('name' => $this->name)) && ($table->id != $this->id || $this->id == 0)) {
			$this->setError(Text::_('COM_RSEVENTSPRO_DUPLICATE_TAG_NAME'));
			return false;
		}
		return parent::store($updateNulls);
	}
	
	public function delete($pk = null, $children = true) {
		$delete = parent::delete($pk, $children);
		
		if ($delete) RSEventsProTranslations::removeTranslations('tag', $pk);
		
		return $delete;
	}
}