<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Language\Text;
use Joomla\Registry\Registry;
use Joomla\CMS\Table\Table;
use Joomla\CMS\Factory;

class RseventsproTableTicket extends Table
{	
	public function __construct($db) {
		parent::__construct('#__rseventspro_tickets', 'id', $db);
	}

	public function check() {
		$nulldate	= $this->getDbo()->getNullDate();
		$tzoffset	= Factory::getConfig()->get('offset');
		
		if ($this->seats == Text::_('COM_RSEVENTSPRO_GLOBAL_UNLIMITED'))
			$this->seats = 0;
		if ($this->user_seats == Text::_('COM_RSEVENTSPRO_GLOBAL_UNLIMITED'))
			$this->user_seats = 0;
		if (isset($this->groups) && is_array($this->groups)) {
			try {
				$registry = new Registry;
				$registry->loadArray($this->groups);
				$this->groups = $registry->toString();
			} catch (Exception $e) {}
		} else $this->groups = '';
		
		$this->from = !empty($this->from) && $this->from != $nulldate ? Factory::getDate($this->from, $tzoffset)->toSql() : $nulldate;
		$this->to = !empty($this->to) && $this->to != $nulldate ? Factory::getDate($this->to, $tzoffset)->toSql() : $nulldate;
		
		if (empty($this->seats)) $this->seats = 0;
		if (empty($this->user_seats)) $this->user_seats = 0;
		
		$lang = Factory::getApplication()->isClient('site') ? Factory::getLanguage()->getTag() : RSEventsProTranslations::getLanguage('event', $this->ide);
		RSEventsProTranslations::saveTranslations($this, 'ticket', $lang);
		
		return true;
	}
}