<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

HTMLHelper::_('behavior.formvalidator');
HTMLHelper::_('behavior.keepalive'); ?>

<form action="<?php echo Route::_('index.php?option=com_rseventspro&view=category&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="adminForm" class="form-validate">
	
	<?php if ($this->item->id) echo RSEventsProTranslations::showLanguageBox(); ?>
	
	<div class="<?php echo RSEventsproAdapterGrid::row(); ?> mb-3">
		<div class="<?php echo RSEventsproAdapterGrid::column(12); ?>">
			<?php echo $this->form->renderField('title'); ?>
		</div>
	</div>
	
	<div class="<?php echo RSEventsproAdapterGrid::row(); ?>">
		<div class="<?php echo RSEventsproAdapterGrid::column(9); ?>">
			<?php echo $this->form->getInput('description'); ?>
		</div>
		<div class="<?php echo RSEventsproAdapterGrid::column(3); ?>">
			<fieldset class="options-form">
				<legend><?php echo Text::_('COM_RSEVENTSPRO_CATEGORY_TAB_GENERAL'); ?></legend>
				<?php echo $this->form->renderField('parent_id'); ?>
				<?php echo $this->form->renderField('published'); ?>
				<?php echo $this->form->renderField('access'); ?>
				<?php echo $this->form->renderField('language'); ?>
				<?php echo $this->form->renderField('image','params'); ?>
				<?php echo $this->form->renderField('color','params'); ?>
			</fieldset>
			
			<fieldset class="options-form">
				<legend><?php echo Text::_('COM_RSEVENTSPRO_CATEGORY_TAB_METADATA'); ?></legend>
				<?php echo $this->form->renderField('metadesc'); ?>
				<?php echo $this->form->renderField('metakey'); ?>
				<?php  foreach ($this->form->getFieldset('jmetadata') as $field) echo $field->renderField(); ?>
			</fieldset>
		</div>
	</div>
		
	<div>
		<?php echo $this->form->getInput('id'); ?>
		<input type="hidden" name="task" value="" />
		<?php echo HTMLHelper::_('form.token') . "\n"; ?>
	</div>
	
</form>