<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Language\Text;

class RseventsproViewCategory extends HtmlView
{
	public function display($tpl = null) {
		$this->form		= $this->get('Form');
		$this->item		= $this->get('Item');
		$this->state	= $this->get('State');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			throw new Exception(implode("\n", $errors), 500);
		}

		$this->addToolbar();
		parent::display($tpl);
	}
	
	protected function addToolbar() {
		$isNew = ($this->item->id == 0);

		ToolbarHelper::title(Text::_('COM_RSEVENTSPRO_CATEGORY_' . ($isNew ? 'ADD' : 'EDIT') . '_TITLE'), 'rseventspro48 category-' . ($isNew ? 'add' : 'edit'));
		ToolbarHelper::apply('category.apply');
		ToolbarHelper::save('category.save');
		ToolbarHelper::save2new('category.save2new');
		
		if (!$isNew) {
			ToolbarHelper::save2copy('category.save2copy');
		}

		ToolbarHelper::cancel('category.cancel');
	}
}