<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

//keep session alive while editing
HTMLHelper::_('behavior.formvalidator');
HTMLHelper::_('behavior.keepalive'); ?>

<script>
    function rsepro_rule_change_lang(lang){
        if (parseInt(document.getElementById('jform_id').value) != 0 || parseInt(document.getElementById('jform_parent').value) != 0) {

            jQuery('#jform_lang').prop('disabled', true);

            params = {
                'task' : 'email.getData',
            };

            if (lang == '<?php echo $this->item->lang; ?>') {
                params.id = <?php echo (int) $this->item->id; ?>;
            } else {
                params.lang = lang;
                params.parent = <?php echo (int) $this->item->id; ?>;
            }

            jQuery.ajax({
                url: 'index.php?option=com_rseventspro',
                type: 'post',
                dataType: 'json',
                data: params
            }).done(function(response) {
                jQuery('#jform_subject').val(response.subject);
                jQuery('#jform_mode' + response.mode).click();
                jQuery('#jform_id').val(response.id);
                jQuery('#jform_parent').val(response.parent);
                jQuery('#jform_message').val(response.message);

                if (Joomla && Joomla.editors && Joomla.editors.instances && Joomla.editors.instances.hasOwnProperty('jform_message')) {
                    Joomla.editors.instances['jform_message'].setValue(response.message);
                }

                jQuery('#jform_lang').prop('disabled', false);
            });
        }
    }
</script>

<form action="<?php echo Route::_('index.php?option=com_rseventspro&view=email&layout=edit&tmpl=component&id='. $this->item->id); ?>" method="post" name="adminForm" id="adminForm" autocomplete="off" class="form-validate form-horizontal">
	<div class="<?php echo RSEventsproAdapterGrid::styles(array('pull-right')); ?>">
		<button type="button" onclick="window.open('<?php echo Route::_('index.php?option=com_rseventspro&view=placeholders&type=rule&tmpl=component', false); ?>', 'placeholdersWindow', 'toolbar=no, scrollbars=yes, resizable=yes, top=200, left=500, width=600, height=700');" class="btn btn-primary"><?php echo Text::_('COM_RSEVENTSPRO_EMAIL_PLACEHOLDERS'); ?></button>
		<button type="button" onclick="Joomla.submitbutton('email.save');" class="btn btn-primary"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_SAVE_BTN'); ?></button>
		<button type="button" onclick="document.location = '<?php echo Route::_('index.php?option=com_rseventspro&view=emails&tmpl=component'); ?>'" class="btn btn-danger"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL_BTN'); ?></button>
	</div>
	<div class="clearfix"></div>
	
	<div class="mt-3">
		<?php echo $this->form->renderField('lang'); ?>
		<?php echo $this->form->renderField('subject'); ?>
		<?php echo $this->form->renderField('mode'); ?>
		<?php echo $this->form->getInput('message'); ?>
	</div>

	<?php echo HTMLHelper::_('form.token'); ?>
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="tmpl" value="component" />
	<?php echo $this->form->getInput('id'); ?>
	<?php echo $this->form->getInput('parent'); ?>
	<?php echo $this->form->getInput('type'); ?>
</form>