<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

Text::script('COM_RSEVENTSPRO_EVENT_FEEDBACK_TYPE_1');
Text::script('COM_RSEVENTSPRO_EVENT_FEEDBACK_TYPE_2');
Text::script('COM_RSEVENTSPRO_EVENT_FEEDBACK_TYPE_3');
Text::script('COM_RSEVENTSPRO_EVENT_FEEDBACK_TYPE_4');
Text::script('COM_RSEVENTSPRO_EVENT_FEEDBACK_TYPE_5'); ?>

<fieldset class="options-form">
	<legend><?php echo Text::_('COM_RSEVENTSPRO_EVENT_FEEDBACK'); ?></legend>
	
	<div class="alert alert-info">
		<?php echo Text::_('COM_RSEVENTSPRO_EVENT_FEEDBACK_DESC'); ?>
	</div>
	
	<div class="control-group <?php echo RSEventsproAdapterGrid::styles(array('pull-right')); ?>">
		<button type="button" id="rsepro-add-feedback-question" class="btn btn-success"><?php echo Text::_('COM_RSEVENTSPRO_EVENT_FEEDBACK_ADD'); ?></button>
	</div>
	
	<table id="rsepro-feedback-questions" class="table align-middle" data-rsepro-sortable data-rsepro-sortable-prefix="question" data-rsepro-sortable-ajax="saveOrderFeedbackAjax">
		<thead>
			<tr>
				<th width="2%"></th>
				<th><?php echo Text::_('COM_RSEVENTSPRO_EVENT_FEEDBACK_QUESTION'); ?></th>
				<th width="30%"><?php echo Text::_('COM_RSEVENTSPRO_EVENT_FEEDBACK_QUESTION_TYPE'); ?></th>
				<th width="2%"></th>
			</tr>
		</thead>
		<tbody>
			<?php if ($this->feedbacks) { ?>
			<?php foreach ($this->feedbacks as $question) { ?>
			<tr id="question<?php echo $question->id; ?>">
				<td>
					<i class="fa fa-arrows-alt-v" style="cursor:n-resize;"></i>
				</td>
				<td>
					<a href="javascript:;" onclick="RSEventsPro.Event.editFeedbackQuestion('<?php echo $question->id; ?>')">
						<?php echo $this->escape($question->question); ?>
					</a>
				</td>
				<td>
					<?php echo $this->escape(Text::_('COM_RSEVENTSPRO_EVENT_FEEDBACK_TYPE_'.$question->type)); ?>
				</td>
				<td>
					<a href="javascript:;" onclick="RSEventsPro.Event.removeFeedback(<?php echo $question->id; ?>)">
						<i class="fa fa-times"></i>
					</a>
				</td>
			</tr>
			<?php } ?>
			<?php } ?>
		</tbody>
	</table>
	
	<table id="rsepro-feedback-clone" style="display:none;">
		<tr>
			<td>
				<i class="fa fa-arrows-alt-v" style="cursor:n-resize;"></i>
			</td>
			<td>
				<a href="javascript:;"></a>
			</td>
			<td></td>
			<td>
				<a href="javascript:;">
					<i class="fa fa-times"></i>
				</a>
			</td>
		</tr>
	</table>
	
	<div class="form-actions">
		<button class="btn btn-success rsepro-event-update" type="button"><?php echo Text::_('COM_RSEVENTSPRO_UPDATE_EVENT'); ?></button>
		<button class="btn btn-danger rsepro-event-cancel" type="button"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL_BTN'); ?></button>
	</div>
</fieldset>

<?php
	$footer  = HTMLHelper::image('com_rseventspro/loader.gif', '', array('id' => 'rsepro-save-feedback', 'style' => 'display: none;'), true);
	$footer .= '<a href="javascript:void(0)" class="btn btn-primary" onclick="RSEventsPro.Event.saveFeedbackQuestion();">'.Text::_('COM_RSEVENTSPRO_GLOBAL_SAVE_BTN').'</a>';
	$footer .= '<a href="javascript:void(0)" class="btn btn-danger" data-dismiss="modal" data-bs-dismiss="modal">'.Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL_BTN').'</a>';
	echo HTMLHelper::_('bootstrap.renderModal', 'newFeedback', array('title' => Text::_('COM_RSEVENTSPRO_EVENT_FEEDBACK_ADD'), 'bodyHeight' => 40, 'footer' => $footer), '<div class="container-fluid form-horizontal p-3">'.$this->feedbackform->renderFieldset('general').'</div>');
?>