<?php
/**
 * @package RSEvents!Pro
 * @copyright (C) 2020 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/copyleft/gpl.html
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

$tab = rseventsproHelper::isJ4() ? 'uitab' : 'bootstrap'; ?>

<?php echo HTMLHelper::_($tab.'.startTabSet', 'scripts', array('active' => 'subscribe')); ?>

<?php echo HTMLHelper::_($tab.'.addTab', 'scripts', 'subscribe', Text::_('COM_RSEVENTSPRO_SCRIPTS_SUBSCRIBE_TAB')); ?>
    <div class="alert alert-info"><?php echo Text::_('COM_RSEVENTSPRO_SCRIPTS_WARNING') ?></div>

    <fieldset class="options-form">
        <legend><?php echo Text::_('COM_RSEVENTSPRO_EVENT_SCRIPTS_BEFORE_SUBSCRIBE'); ?></legend>
        <div class="alert alert-info"><?php echo Text::_('COM_RSEVENTSPRO_EVENT_SCRIPTS_BEFORE_SUBSCRIBE_DESC'); ?></div>
        <?php echo $this->form->getInput('before_subscribe'); ?>
    </fieldset>

    <fieldset class="options-form">
        <legend><?php echo Text::_('COM_RSEVENTSPRO_EVENT_SCRIPTS_AFTER_SUBSCRIBE'); ?></legend>
        <div class="alert alert-info"><?php echo Text::_('COM_RSEVENTSPRO_EVENT_SCRIPTS_AFTER_SUBSCRIBE_DESC'); ?></div>
        <?php echo $this->form->getInput('after_subscribe'); ?>
    </fieldset>
<?php echo HTMLHelper::_($tab.'.endTab'); ?>

<?php echo HTMLHelper::_($tab.'.addTab', 'scripts', 'unsubscribe', Text::_('COM_RSEVENTSPRO_SCRIPTS_UNSUBSCRIBE_TAB')); ?>
    <div class="alert alert-info"><?php echo Text::_('COM_RSEVENTSPRO_SCRIPTS_WARNING') ?></div>

    <fieldset class="options-form">
        <legend><?php echo Text::_('COM_RSEVENTSPRO_EVENT_SCRIPTS_BEFORE_UNSUBSCRIBE'); ?></legend>
        <div class="alert alert-info"><?php echo Text::_('COM_RSEVENTSPRO_EVENT_SCRIPTS_BEFORE_UNSUBSCRIBE_DESC'); ?></div>
        <?php echo $this->form->getInput('before_unsubscribe'); ?>
    </fieldset>

    <fieldset class="options-form">
        <legend><?php echo Text::_('COM_RSEVENTSPRO_EVENT_SCRIPTS_AFTER_UNSUBSCRIBE'); ?></legend>
        <div class="alert alert-info"><?php echo Text::_('COM_RSEVENTSPRO_EVENT_SCRIPTS_AFTER_UNSUBSCRIBE_DESC'); ?></div>
        <?php echo $this->form->getInput('after_unsubscribe'); ?>
    </fieldset>
<?php echo HTMLHelper::_($tab.'.endTab'); ?>

<?php echo HTMLHelper::_($tab.'.endTabSet'); ?>

<div class="form-actions">
	<button class="btn btn-success rsepro-event-update" type="button"><?php echo Text::_('COM_RSEVENTSPRO_UPDATE_EVENT'); ?></button>
	<button class="btn btn-danger rsepro-event-cancel" type="button"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL_BTN'); ?></button>
</div>