<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Factory;

HTMLHelper::_('behavior.formvalidator');
HTMLHelper::_('behavior.keepalive');

$listOrder	= $this->escape($this->state->get('list.ordering','date'));
$listDirn	= $this->escape($this->state->get('list.direction','desc')); ?>

<script>
	function openFeedback(id) {
		jQuery.ajax({
			url: 'index.php?option=com_rseventspro&task=feedbacks.getFeedbackForm&id=' + id + '&ide=<?php echo Factory::getApplication()->input->getInt('id',0); ?>',
			type: 'post'
		}).done(function(response) {
			jQuery('.rsepro-feedback-form').html(response);
			jQuery('#rseFeedbackModal').modal('show');
		});
	}
	
	<?php if (isset($this->statistics) && $this->statistics['users']) { ?>
	google.charts.load('current', {packages: ['corechart', 'bar']});
	document.addEventListener('DOMContentLoaded', function() {
		jQuery('#<?php echo rseventsproHelper::isJ4() ? '' : 'modal-'; ?>rseFeedbackStatisticsModal').on('shown.bs.modal', function() {
		  google.charts.setOnLoadCallback(rseproDrawAllCharts);
		})
	});
	
	function rseproDrawAllCharts() {
		rseproDrawChartPie();
		for(i=0;i<<?php echo count($this->statistics['feedbacks']); ?>;i++) { 
			eval('rseproDrawChart' + i + '()');
		}
	}
	
	function rseproDrawChartPie() {
		var data = google.visualization.arrayToDataTable([
          ['', ''],
          ['<?php echo Text::_('COM_RSEVENTSPRO_FEEDBACK_CHART_SUBMITTED', true); ?>', <?php echo (int) $this->statistics['total']; ?>],
          ['<?php echo Text::_('COM_RSEVENTSPRO_FEEDBACK_CHART_SUBMITTED_REMAINING', true); ?>', <?php echo (int) $this->statistics['remaining']; ?>]
        ]);

        var options = {
			titlePosition: 'none',
			legend : {
				position: 'bottom'
			}
		};

        var chart = new google.visualization.PieChart(document.getElementById('rsepro_pie_chart'));
        chart.draw(data, options);
	}
	
	<?php foreach ($this->statistics['feedbacks'] as $i => $feedback) { ?>
	function rseproDrawChart<?php echo $i; ?>() {
		<?php if ($feedback->data) { ?>
		var data = google.visualization.arrayToDataTable([
			['<?php echo Text::_('COM_RSEVENTSPRO_FEEDBACK_CHART_OPTIONS',true); ?>', '<?php echo Text::_('COM_RSEVENTSPRO_FEEDBACK_CHART_USERS',true); ?>'],
			<?php if ($feedback->type == 1) { ?>
			<?php foreach($feedback->data as $option => $value) { ?>
			['<?php echo $option == 'option1' ? Text::_('JYES') : Text::_('JNO'); ?>',<?php echo (int) $value; ?>],
			<?php } ?>
			<?php } elseif ($feedback->type == 5) { ?>
			<?php foreach($feedback->data as $option => $value) { ?>
			['<?php echo substr_replace(addslashes(html_entity_decode($option, ENT_QUOTES)), '', 0, 6); ?>',<?php echo (int) $value; ?>],
			<?php } ?>
			<?php } else { ?>
			<?php foreach($feedback->data as $option => $value) { ?>
			['<?php echo substr_replace($option, '', 0, 6); ?>',<?php echo (int) $value; ?>],
			<?php } ?>
			<?php } ?>
		]);
		
		var options = {
			titlePosition: 'none',
			legend : 'none',
			vAxis: {
				format: ''
			}
		};

		var chart = new google.visualization.ColumnChart(document.getElementById('rsepro_chart_div_<?php echo $i; ?>'));
		chart.draw(data,options);
		<?php } ?>
	}
	<?php } ?>
	<?php } ?>
</script>

<form method="post" action="<?php echo Route::_('index.php?option=com_rseventspro&view=feedbacks&id='.Factory::getApplication()->input->getInt('id',0)); ?>" name="adminForm" id="adminForm">
	<?php echo RSEventsproAdapterGrid::sidebar(); ?>
		
			<?php echo LayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
		
			<table class="table table-striped">
				<caption id="captionTable" class="sr-only">
					<span id="orderedBy"><?php echo Text::_('JGLOBAL_SORTED_BY'); ?> </span>,
					<span id="filteredBy"><?php echo Text::_('JGLOBAL_FILTERED_BY'); ?></span>
				</caption>
				<thead>
					<th width="1%" class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo HTMLHelper::_('grid.checkall'); ?></th>
					<th width="40%"><?php echo Text::_('COM_RSEVENTSPRO_FEEDBACKS_USER_NAME'); ?></th>
					<th width="15%" class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo HTMLHelper::_('searchtools.sort', 'COM_RSEVENTSPRO_FEEDBACKS_DATE', 'f.date', $listDirn, $listOrder); ?></th>
					<th width="1%" class="nowrap hidden-phone <?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo HTMLHelper::_('searchtools.sort', 'JGRID_HEADING_ID', 'f.id', $listDirn, $listOrder); ?></th>
				</thead>
				
				<tbody>
					<?php foreach ($this->items as $i => $item) { ?>
					<tr class="row<?php echo $i % 2; ?>">
						<td class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo HTMLHelper::_('grid.id',$i,$item->id); ?></td>
						<td>
							<a href="javascript:;" onclick="openFeedback(<?php echo (int) $item->id; ?>);">
								<?php echo $item->name ? $item->name : $item->email; ?>
							</a>
						</td>
						<td class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo rseventsproHelper::showdate($item->date); ?></td>
						<td class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo $item->id; ?></td>
					</tr>
					<?php } ?>
				</tbody>
				<tfoot>
					<tr>
						<td colspan="4" style="text-align:center;">
							<?php echo $this->pagination->getListFooter(); ?>
						</td>
					</tr>
				</tfoot>
			</table>
		</div>
	</div>
	
	<?php echo HTMLHelper::_( 'form.token' ); ?>
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="ide" value="<?php echo Factory::getApplication()->input->getInt('id',0); ?>" />
	<input type="hidden" name="task" value="" />
</form>

<?php echo HTMLHelper::_('bootstrap.renderModal', 'rseFeedbackModal', array('title' => Text::_('COM_RSEVENTSPRO_FEEDBACK'), 'bodyHeight' => 70, 'height' => '100%', 'width'  => '100%', 'modalWidth'  => '80', 'footer' => '<button type="button" data-dismiss="modal" data-bs-dismiss="modal" class="btn btn-danger">'.Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL_BTN').'</button>'), '<div class="container-fluid rsepro-feedback-form" id="rsepro-feedback-container-j'.(rseventsproHelper::isJ4() ? '4' : '3').'"></div>'); ?>

<?php if (isset($this->statistics) && $this->statistics['users']) echo HTMLHelper::_('bootstrap.renderModal', (rseventsproHelper::isJ4() ? '' : 'modal-').'rseFeedbackStatisticsModal', array('title' => Text::_('COM_RSEVENTSPRO_FEEDBACK_STATISTICS'), 'bodyHeight' => 70, 'footer' => '<button type="button" data-dismiss="modal" data-bs-dismiss="modal" class="btn btn-danger">'.Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL_BTN').'</button>'), $this->loadTemplate('statistics')); ?>