<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class RseventsproViewFeedbacks extends HtmlView
{	
	public function display($tpl = null) {
		$this->state 		= $this->get('State');
		$this->items 		= $this->get('Items');
		$this->statistics	= rseventsproHelper::getFeedbackStatistics();
		$this->pagination 	= $this->get('Pagination');
		$this->filterForm   = $this->get('FilterForm');
		$this->activeFilters= $this->get('ActiveFilters');
		
		$this->addToolBar();
		parent::display($tpl);
	}
	
	protected function addToolBar() {
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_FEEDBACKS'),'rseventspro48');
		ToolBarHelper::deleteList('','feedbacks.delete');
		
		if (isset($this->statistics) && $this->statistics['users']) {
			Factory::getDocument()->addScript('https://www.gstatic.com/charts/loader.js');
			
			$layout = new FileLayout('joomla.toolbar.popup');
			$dhtml = $layout->render(array('text' => Text::_('COM_RSEVENTSPRO_FEEDBACK_STATISTICS'), 'htmlAttributes' => '', 'btnClass' => 'btn', 'class' => 'icon-chart', 'name' => 'rseFeedbackStatisticsModal', 'selector' => 'rseFeedbackStatisticsModal', 'doTask' => ''));
			Toolbar::getInstance('toolbar')->appendButton('Custom', $dhtml, 'batch');
		}
	}
}