<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Factory;

class RseventsproViewMessage extends HtmlView
{
	public function display($tpl = null) {
		require_once JPATH_SITE.'/components/com_rseventspro/helpers/placeholders.php';
		
		$this->form			= $this->get('Form');
		$this->type			= $this->get('Type');
		$this->types		= $this->get('Types');
		$this->placeholders = RSEventsProPlaceholders::get($this->type);
		
		if (!in_array($this->type,$this->types)) {
			Factory::getApplication()->enqueueMessage(Text::_('COM_RSEVENTSPRO_INVALID_EMAIL_TYPE'),'error');
			Factory::getApplication()->redirect(Route::_('index.php?option=com_rseventspro&view=messages',false));
		}
		
		$this->addToolBar();
		parent::display($tpl);
	}
	
	protected function addToolBar() {
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_MESSAGE_'.strtoupper($this->type)),'rseventspro48');
		ToolBarHelper::apply('message.apply');
		ToolBarHelper::save('message.save');
		ToolBarHelper::cancel('message.cancel');
	}
}