<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class RseventsproViewPdf extends HtmlView
{
	protected $buffer;
	
	public function display($tpl = null) {
		if ($this->_load()) {
			Factory::getDocument()->setMimeEncoding('application/pdf');
			
			try {
				$pdf = RSEventsProPDF::getInstance();
			
				if ($id = Factory::getApplication()->input->getInt('id',0)) {
					$this->buffer = $pdf->ticket($id);
				}
			
				if ($eid = Factory::getApplication()->input->getInt('eid',0)) {
					$this->buffer = $pdf->tickets($eid);
				}
			
				if ($this->buffer === false) {
					Factory::getApplication()->enqueueMessage(Text::_('COM_RSEVENTSPRO_ERROR_WHILE_LOADING_PDF'));
					Factory::getApplication()->redirect('index.php?option=com_rseventspro');
				}
			} catch (Exception $e) {
				Factory::getApplication()->enqueueMessage($e->getMessage());
				Factory::getApplication()->redirect('index.php?option=com_rseventspro');
			}
		}
		parent::display($tpl);
	}
	
	protected function _load() {
		if (file_exists(JPATH_SITE.'/components/com_rseventspro/helpers/pdf.php')) {
			require_once JPATH_SITE.'/components/com_rseventspro/helpers/pdf.php';
			return true;
		}
		
		return false;
	}
}