<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;

Text::script('COM_RSEVENTSPRO_INVALID_RULE');
Text::script('COM_RSEVENTSPRO_RULE_SELECT_MESSAGE');
Text::script('COM_RSEVENTSPRO_SELECT_RULE_MESSAGE');
Text::script('COM_RSEVENTSPRO_RULE_INPUT_EMAIL');
Text::script('COM_RSEVENTSPRO_RULE_INVALID_EMAIL');

HTMLHelper::_('behavior.keepalive'); ?>

<script type="text/javascript">
	function rse_rule(val) {
        jQuery('#toemail').val('');
        jQuery('#email').text(Joomla.JText._('COM_RSEVENTSPRO_SELECT_RULE_MESSAGE'));
        jQuery('#mid').val(0);

        if (val == 5) {
            jQuery('#toemail').css('display', '');
        } else {
            jQuery('#toemail').css('display', 'none');
        }

        if (val == 4 || val == 5) {
            jQuery('#email').css('display', '');
		} else {
            jQuery('#email').css('display', 'none');
		}
	}

	function rse_selectEmail(id, name) {
		jQuery('#email').text(name);
		jQuery('#mid').val(id);
		window.parent.jQuery('#rseModal').modal('hide');
	}
</script>

<form method="post" action="<?php echo Route::_('index.php?option=com_rseventspro&view=rules'); ?>" name="adminForm" id="adminForm">
	<?php echo RSEventsproAdapterGrid::sidebar(); ?>
		<table class="table table-striped">
			<tbody>
				<tr>
					<td>
						<span id="message1"><?php echo Text::_('COM_RSEVENTSPRO_RULE_MESSAGE_1'); ?></span> 
						<select name="payment" id="payment" class="input-large form-select-sm">
							<?php echo HTMLHelper::_('select.options', rseventsproHelper::getPayments(), 'value', 'text'); ?>
						</select>
						<span id="message2"><?php echo Text::_('COM_RSEVENTSPRO_RULE_MESSAGE_3'); ?></span> 
						<select name="status" id="status" class="input-large form-select-sm">
							<?php echo HTMLHelper::_('select.options', rseventsproHelper::getStatuses(), 'value', 'text'); ?>
						</select>
						<span id="message3"><?php echo Text::_('COM_RSEVENTSPRO_RULE_MESSAGE_2'); ?></span>
						<input type="text" id="interval" name="interval" value="12" class="input-mini form-control-sm" size="3" onkeyup="this.value=this.value.replace(/[^0-9]/g, '');" />
						<select name="op" id="op" class="input-large form-select-sm">
							<option value="0"><?php echo Text::_('COM_RSEVENTSPRO_HOURS'); ?></option>
							<option value="1"><?php echo Text::_('COM_RSEVENTSPRO_MINUTES'); ?></option>
						</select>
						<span id="message4"><?php echo Text::_('COM_RSEVENTSPRO_RULE_MESSAGE_5'); ?></span>
						<select name="rule" id="rule" class="input-large form-select-sm" onchange="rse_rule(this.value);">
							<?php echo HTMLHelper::_('select.options', rseventsproHelper::getRules(), 'value', 'text'); ?>
						</select>
                        <input type="text" name="email" id="toemail" value="" style="display:none;" class="form-control-sm" placeholder="<?php echo Text::_('COM_RSEVENTSPRO_RULE_EMAIL_PLACEHOLDER') ?>" />
						<a style="display:none;" id="email" onclick="jQuery('#rseModal').modal('show');" href="javascript:void(0)">
							<?php echo Text::_('COM_RSEVENTSPRO_SELECT_RULE_MESSAGE'); ?>
						</a>
						<input type="hidden" id="mid" name="mid" value="" />
						<a href="javascript:void(0)" onclick="addRule();">
							<i class="fa fa-plus-circle"></i>
						</a>
						<?php echo HTMLHelper::image('com_rseventspro/loader.gif', '', array('id' => 'loader', 'style' => 'vertical-align: middle; display: none;'), true); ?> 
					</td>
				</tr>
			</tbody>
		</table>
		
		<table class="table table-striped">
			<thead>
				<th width="1%" class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo HTMLHelper::_('grid.checkall'); ?></th>
				<th><?php echo Text::_('COM_RSEVENTSPRO_RULE'); ?></th>
				<th width="1%" class="nowrap hidden-phone <?php echo RSEventsproAdapterGrid::styles(array('center')); ?>"><?php echo Text::_('JGRID_HEADING_ID'); ?></th>
			</thead>
			<tbody id="rseprocontainer">
				<?php foreach ($this->items as $i => $item) { ?>
					<tr class="row<?php echo $i % 2; ?>">
						<td class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?>">
							<?php echo HTMLHelper::_('grid.id', $i, $item->id); ?>
						</td>
						<td class="nowrap has-context">
							<?php echo Text::_('COM_RSEVENTSPRO_RULE_MESSAGE_1'); ?>
							<strong><?php echo rseventsproHelper::getPayment($item->payment); ?></strong>
							<?php echo Text::_('COM_RSEVENTSPRO_RULE_MESSAGE_3'); ?>
							<strong><?php echo rseventsproHelper::getStatuses($item->status); ?></strong>
							<?php echo Text::_('COM_RSEVENTSPRO_RULE_MESSAGE_2'); ?>
							<strong><?php echo $item->interval; ?></strong> <?php echo $item->op ? Text::_('COM_RSEVENTSPRO_MINUTES') : Text::_('COM_RSEVENTSPRO_HOURS'); ?>
							<?php echo Text::_('COM_RSEVENTSPRO_RULE_MESSAGE_5'); ?>
							<strong><?php echo rseventsproHelper::getRules($item->rule); ?></strong>
                            <?php if ($item->rule == 5) echo '<strong>'.$item->email.'</strong>'; ?>
							<?php if ($item->mid) { ?>
							 <strong>(<?php echo $this->getSubject($item->mid); ?>)</strong>
							<?php } ?>
						</td>
						<td class="<?php echo RSEventsproAdapterGrid::styles(array('center')); ?> hidden-phone">
							<?php echo (int) $item->id; ?>
						</td>
					</tr>
				<?php } ?>
			</tbody>
		</table>
	</div>

	
	<?php echo HTMLHelper::_( 'form.token' ); ?>
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="task" value="" />
</form>
<script type="text/javascript">rse_rule(document.getElementById('rule').value);</script>

<?php echo HTMLHelper::_('bootstrap.renderModal', 'rseModal', array('title' => '&nbsp;', 'url' => Route::_('index.php?option=com_rseventspro&view=emails&tmpl=component', false), 'bodyHeight' => 70)); ?>