<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Factory;

class RseventsproViewRules extends HtmlView
{
	public function display($tpl = null) {
		$this->items 		= $this->get('Items');
		
		$this->addToolBar();
		parent::display($tpl);
	}
	
	protected function addToolBar() {
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_PAYMENT_RULES'),'rseventspro48');
		ToolBar::getInstance('toolbar')->appendButton('Link', 'arrow-left', Text::_('COM_RSEVENTSPRO_GLOBAL_BACK_BTN'), Route::_('index.php?option=com_rseventspro&view=payments'));
		ToolBarHelper::deleteList('','rules.delete');
	}
	
	protected function getSubject($id) {
		$db		= Factory::getDbo();
		$query	= $db->getQuery(true);
		
		$query->clear()
			->select($db->qn('subject'))
			->from($db->qn('#__rseventspro_emails'))
			->where($db->qn('id').' = '.$db->q($id));
		
		$db->setQuery($query);
		return $db->loadResult();
	}
}