<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

HTMLHelper::_('behavior.keepalive'); 
Text::script('COM_RSEVENTSPRO_SUBSCRIBER_PLEASE_SELECT_TICKET_FROM_EVENT'); ?>

<?php if ($this->type) { ?>
<script type="text/javascript">
document.addEventListener('DOMContentLoaded', function() {
	jQuery('#rsepro_wrapper').css('height', jQuery(window).height() - 100);
	
	window.parent.jQuery('#rsepro_selected_tickets input').each(function (i, el) {
		if (jQuery(el).prop('name').indexOf('unlimited') != -1) {
			ticketid = jQuery(el).prop('name').replace('unlimited[','').replace(']','');
			jQuery('#rsepro_unlimited_'+ticketid).val(jQuery(el).val());
		} else {
			ticketid = jQuery(el).prop('id').replace('ticket','');
			jQuery('#rsepro_seat_'+ticketid).addClass('rsepro_selected');
		}
	});
});

function rsepro_seats_select(id, pos, name, price) {
	rsepro_add_ticket(id, pos, name, price);
}
</script>

<style>
    <?php foreach ($this->tickets as $ticket) { ?>
    <?php if ($ticket->bg_ticket) { ?>#draggable<?php echo $ticket->id; ?> { background-color: <?php echo $ticket->bg_ticket; ?>; }<?php } ?>

    <?php if ($ticket->bg_seat || $ticket->bg_seat_text) { ?>
    #draggable<?php echo $ticket->id; ?> .rsepro_ticket_seat:not(.rsepro_disabled) {
        <?php if ($ticket->bg_seat) { ?>background-color: <?php echo $ticket->bg_seat; ?>;<?php } ?>
        <?php if ($ticket->bg_seat_text) { ?>color: <?php echo $ticket->bg_seat_text; ?>;<?php } ?>
    }
    <?php } ?>

    <?php if ($ticket->bg_seat_selected) { ?>#draggable<?php echo $ticket->id; ?> .rsepro_ticket_seat.rsepro_selected { background-color: <?php echo $ticket->bg_seat_selected; ?>; }<?php } ?>

    <?php } ?>
</style>

<div id="rsepro_wrapper">
	<?php $left = 10; $top = 10; ?>
	<?php foreach ($this->tickets as $ticket) { ?>
	<?php $style = empty($ticket->position) ? 'top: '.$top.'px; left: '.$left.'px; width: 90px;' : rseventsproHelper::parseStyle($ticket->position); ?>
	<?php $price = $ticket->price ? rseventsproHelper::currency($ticket->price) : Text::_('COM_RSEVENTSPRO_GLOBAL_FREE'); ?>
	<?php $selected = rseventsproHelper::getSelectedSeats($ticket->id); ?>
	<div id="draggable<?php echo $ticket->id; ?>" class="draggable rsepro_front ui-widget-content" style="<?php echo $style; ?>">
		<div class="rsepro_ticket_container">
			<div class="rsepro_ticket_name">
				<?php echo $this->escape($ticket->name.' - '.$price); ?>
			</div>
		</div>
		<div id="rsepro_ticket_seats<?php echo $ticket->id; ?>" class="rsepro_ticket_seats">
			<?php if (!$ticket->seats) { ?>
			<div class="rsepro_ticket_unlimited">
				<input type="text" id="rsepro_unlimited_<?php echo $ticket->id; ?>" name="tickets[<?php echo $ticket->id; ?>][]" value="" onchange="rsepro_add_ticket('<?php echo $ticket->id; ?>',0, '<?php echo addcslashes($ticket->name, "'"); ?>', '<?php echo $price; ?>');" onkeyup="javascript:this.value=this.value.replace(/[^0-9]/g, '');rsepro_add_ticket('<?php echo $ticket->id; ?>',0, '<?php echo addcslashes($ticket->name, "'"); ?>', '<?php echo $price; ?>');" class="input-mini rsepro_ticket_center" size="5" />
			</div>
			<?php } else { ?>
			<?php echo rseventsproHelper::showTicketSeats($ticket, $selected, $price); ?>
			<?php } ?>
		</div>
	</div>
	<?php $left += 200; ?>
	<?php } ?>
</div>

<?php } else { ?>
	<div id="rsepro_simple" class="rsepro_select_tickets">
		<script type="text/javascript">
		document.addEventListener('DOMContentLoaded', function() {
			window.parent.jQuery('#rsepro_simple_tickets input').each(function (i, el) {
				jQuery(jQuery(el).prop('id')).val(jQuery(el).val());
			});
		});
		</script>
		
		<?php if (!empty($this->tickets)) { ?>
		<table align="center" cellpadding="5">
		<?php foreach ($this->tickets as $ticket) { ?>
		<?php $price = $ticket->price ? rseventsproHelper::currency($ticket->price) : Text::_('COM_RSEVENTSPRO_GLOBAL_FREE'); ?>
		<tr>
			<td>
				<input type="text" name="simple_tickets[]" id="ticket<?php echo $ticket->id; ?>" value="" size="5" class="input-mini form-control" onchange="rsepro_add_simple_ticket('<?php echo $ticket->id; ?>', '<?php echo addcslashes($ticket->name, "'"); ?>', '<?php echo $price; ?>', this.value);" onkeyup="javascript:this.value=this.value.replace(/[^0-9]/g, '');rsepro_add_simple_ticket('<?php echo $ticket->id; ?>', '<?php echo addcslashes($ticket->name, "'"); ?>', '<?php echo $price; ?>', this.value);" /> 
			</td>
			<td>
				<?php echo $this->escape($ticket->name.' - '.$price); ?>
			</td>
		</tr>
		<?php } ?>
		</table>
		<?php } else { ?>
		<input type="text" name="simple_tickets[]" id="ticket0" value="" size="5" class="input-mini" onchange="rsepro_add_simple_ticket(0, '<?php echo Text::_('COM_RSEVENTSPRO_SUBSCRIPTION_FREE_ENTRANCE',true); ?>', 0, this.value);" onkeyup="javascript:this.value=this.value.replace(/[^0-9]/g, '');rsepro_add_simple_ticket(0, '<?php echo Text::_('COM_RSEVENTSPRO_SUBSCRIPTION_FREE_ENTRANCE',true); ?>', 0, this.value);" /> x <?php echo Text::_('COM_RSEVENTSPRO_SUBSCRIPTION_FREE_ENTRANCE'); ?>
		<?php } ?>
	</div>
<?php } ?>

<div style="text-align: center;" class="mt-3">
	<button type="button" class="btn btn-success" onclick="window.parent.jQuery('#rseTicketModal').modal('hide');"><?php echo Text::_('COM_RSEVENTSPRO_CLOSE_TICKETS'); ?></button>
	<button type="button" class="btn btn-primary" onclick="rsepro_reset_tickets();"><?php echo Text::_('COM_RSEVENTSPRO_RESET'); ?></button>
</div>
<span id="eventID" style="display:none;"><?php echo $this->id; ?></span>