<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class RseventsproViewSubscription extends HtmlView
{
	public function display($tpl = null) {		
		$this->layout	= $this->getLayout();
		
		if ($this->layout == 'seats') {
			HTMLHelper::stylesheet('com_rseventspro/tickets.css', array('relative' => true, 'version' => 'auto'));
			
			$eventId		= $this->getEventId();
			$this->tickets	= rseventsproHelper::getTickets($eventId);
			$this->id		= Factory::getApplication()->input->getInt('id',0);
			
		} else if ($this->layout == 'tickets') {
			$this->type			= $this->get('Type');
			$this->id			= Factory::getApplication()->input->getInt('id',0);
			
			if ($this->type) {
				HTMLHelper::script('com_rseventspro/jquery-ui.min.js', array('relative' => true, 'version' => 'auto'));
				HTMLHelper::stylesheet('com_rseventspro/tickets.css', array('relative' => true, 'version' => 'auto'));
			}
			
			$this->tickets	= rseventsproHelper::getTickets($this->id);
			
		} else if ($this->layout == 'edit') {
			$this->form 		= $this->get('Form');
			$this->item 		= $this->get('Item');
			$this->fields 		= $this->get('Fields');
			$this->events 		= $this->get('Events');
			$this->tickets 		= $this->get('Tickets');
			$this->params		= $this->item ? ($this->item->gateway == 'offline' ? $this->get('Card') : $this->item->params) : '';
			
			$this->addToolBar();
		}
		
		Factory::getApplication()->triggerEvent('onrsepro_adminSubscriptionDisplayLayout', array(array('view' => &$this)));
		
		parent::display($tpl);
	}
	
	protected function addToolBar() {
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_ADD_EDIT_SUBSCRIPTION'),'rseventspro48');
		ToolBarHelper::apply('subscription.apply');
		ToolBarHelper::save('subscription.save');
		if ($this->item->id) ToolBarHelper::save2new('subscription.save2new');
		ToolBarHelper::cancel('subscription.cancel');
	}
	
	protected function getEvent($id) {
		$db = Factory::getDbo();
		$query = $db->getQuery(true);
		
		$query->clear()
			->select($db->qn('id'))->select($db->qn('name'))->select($db->qn('allday'))
			->select($db->qn('start'))->select($db->qn('end'))
			->select($db->qn('ticketsconfig'))
			->from($db->qn('#__rseventspro_events'))
			->where($db->qn('id').' = '.(int) $id);
		
		$db->setQuery($query);
		return $db->loadObject();
		
	}
	
	protected function getEventId() {
		$db = Factory::getDbo();
		$query = $db->getQuery(true);
		$id = Factory::getApplication()->input->getInt('id',0);
		
		$query->clear()
			->select($db->qn('ide'))
			->from($db->qn('#__rseventspro_users'))
			->where($db->qn('id').' = '.(int) $id);
		
		$db->setQuery($query);
		return $db->loadResult();
	}
}