<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Language\Multilanguage;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Router\Route;
use Joomla\CMS\Factory;

class RseventsproViewSubscriptions extends HtmlView
{
	public function display($tpl = null) {		
		$this->layout		= $this->getLayout();
		
		if ($this->layout == 'scan') {
			ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_EVENT_SCAN_TICKET'),'rseventspro48');
			ToolBar::getInstance('toolbar')->appendButton( 'Link', 'arrow-left', Text::_('COM_RSEVENTSPRO_GLOBAL_BACK_BTN'), Route::_('index.php?option=com_rseventspro&view=subscriptions'));
			
			$this->scan			 = rseventsproHelper::getScan();
		} else {
			$this->items 		 = $this->get('Items');
			$this->pagination 	 = $this->get('Pagination');
			$this->state 		 = $this->get('State');
			$this->filterForm    = $this->get('FilterForm');
			$this->activeFilters = $this->get('ActiveFilters');
			
			if (!Multilanguage::isEnabled()) {
				unset($this->activeFilters['language']);
                $this->filterForm->removeField('language', 'filter');
			}
			
			if (!$this->state->get('filter.event')) {
				$ticketXml = new SimpleXMLElement('<field name="ticket" type="hidden" default="" />');
				$this->filterForm->setField($ticketXml, 'filter', true);
			}
			
			$this->addToolBar();
		}
		
		Factory::getApplication()->triggerEvent('onrsepro_adminSubscriptionsDisplayLayout', array(array('view' => &$this)));

		parent::display($tpl);
	}
	
	protected function addToolBar() {
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_LIST_SUBSCRIPTIONS'),'rseventspro48');
		ToolBarHelper::addNew('subscription.add');
		ToolBarHelper::editList('subscription.edit');
		ToolBarHelper::deleteList('','subscriptions.delete');
		ToolBarHelper::custom('subscriptions.complete','ok','ok',Text::_('COM_RSEVENTSPRO_GLOBAL_STATUS_APPROVE'));
		ToolBarHelper::custom('subscriptions.incomplete','minus','minus',Text::_('COM_RSEVENTSPRO_GLOBAL_STATUS_PENDING'));
		ToolBarHelper::custom('subscriptions.denied','cancel','cancel',Text::_('COM_RSEVENTSPRO_GLOBAL_STATUS_DENY'));
		ToolBarHelper::custom('subscriptions.refund','backward-2','backward-2',Text::_('COM_RSEVENTSPRO_GLOBAL_STATUS_REFUND'));
		
		$bar = ToolBar::getInstance('toolbar');
		
		if ($event = $this->state->get('filter.event')) {
			if (rseventsproHelper::pdf())
				$bar->appendButton( 'Link', 'list', Text::_('COM_RSEVENTSPRO_SUBSCRIBERS_LIST'), Route::_('index.php?option=com_rseventspro&view=pdf&eid='.$event));
		}
		
		$bar->appendButton( 'Link', 'arrow-down', Text::_('COM_RSEVENTSPRO_EXPORT_SUBSCRIBERS'), Route::_('index.php?option=com_rseventspro&task=subscriptions.export'));
		$bar->appendButton( 'Link', 'lamp', Text::_('COM_RSEVENTSPRO_EVENT_SCAN_TICKET'), Route::_('index.php?option=com_rseventspro&view=subscriptions&layout=scan'));
	}
	
	protected function getUser($id) {
		if ($id > 0)
			return Factory::getUser($id)->get('username');
		
		return Text::_('COM_RSEVENTSPRO_GLOBAL_GUEST');
	}
	
	protected function getStatus($state) {
		if ($state == 0) {
			return '<font color="blue">'.Text::_('COM_RSEVENTSPRO_RULE_STATUS_INCOMPLETE').'</font>';
		} else if ($state == 1) {
			return '<font color="green">'.Text::_('COM_RSEVENTSPRO_RULE_STATUS_COMPLETE').'</font>';
		} else if ($state == 2) {
			return '<font color="red">'.Text::_('COM_RSEVENTSPRO_RULE_STATUS_DENIED').'</font>';
		} else if ($state == 3) {
			return '<font color="orange">'.Text::_('COM_RSEVENTSPRO_RULE_STATUS_REFUNDED').'</font>';
		}
	}
}