<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Layout\FileLayout;
use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Toolbar\Toolbar;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

class RseventsproViewUsers extends HtmlView
{	
	public function display($tpl = null) {
		$this->items 		= $this->get('Items');
		$this->pagination 	= $this->get('Pagination');
		$this->state 		= $this->get('State');
		$this->filterForm   = $this->get('FilterForm');
		
		$this->addToolBar();
		parent::display($tpl);
	}
	
	protected function addToolBar() {
		ToolBarHelper::title(Text::_('COM_RSEVENTSPRO_LIST_USERS'),'rseventspro48');
		ToolBarHelper::editList('user.edit');
		ToolBarHelper::deleteList('','users.delete');
		
		$layout = new FileLayout('joomla.toolbar.standard');
		$dhtml = $layout->render(array('id' => 'toolbar-reset', 'listCheck' => true, 'text' => Text::_('COM_RSEVENTSPRO_EVENTS_CREATED_RESET'), 'task' => 'users.reset', 'doTask' => 'if (document.adminForm.boxchecked.value == 0) { alert(Joomla.Text._(\'JLIB_HTML_PLEASE_MAKE_A_SELECTION_FROM_THE_LIST\')); } else { if (confirm(\''.Text::_('COM_RSEVENTSPRO_EVENTS_CREATED_RESET_MESSAGE', true).'\')) { Joomla.submitbutton(\'users.reset\'); } }', 'htmlAttributes' => '', 'btnClass' => 'btn', 'class' => 'icon-refresh', 'message' => Text::_('COM_RSEVENTSPRO_EVENTS_CREATED_RESET_MESSAGE')));
		Toolbar::getInstance('toolbar')->appendButton('Custom', $dhtml, 'reset');
	}
	
	public function hasProfile($id) {
		$db		= Factory::getDbo();
		$query	= $db->getQuery(true);
		
		$query->select('COUNT('.$db->qn('id').')')
			->from($db->qn('#__rseventspro_user_info'))
			->where($db->qn('id').' = '.(int) $id);
		$db->setQuery($query);
		return (bool) $db->loadResult();
	}
}