<?php
/**
* @package RSJoomla! Adapter
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/
defined('_JEXEC') or die('Restricted access');

class RSEventsproAdapterItinerary {
	
	public static function addPill($id, $title, $active = false) {
		$html = array();
		
		$id = (int) $id;
		
		
		$html[] = '<li class="btn-group'.($active ? ' active' : '').'" role="presentation">';
		$html[] = '<a class="nav-link btn" id="rsepro-pills-'.$id.'-tab" data-toggle="pill" data-target="#rsepro-pills-'.$id.'" href="javascript:;" role="tab" aria-controls="rsepro-pills-'.$id.'"'.($active ? ' aria-selected="true"' : '').'>'.$title.'</a>';
		$html[] = '<button type="button" class="dropdown-toggle btn" data-toggle="dropdown" data-reference="parent">';
		$html[] = '<span class="caret"></span>';
		$html[] = '</button>';
		$html[] = '<ul class="dropdown-menu">';
		$html[] = '<li><a class="dropdown-item" href="javascript:;" onclick="RSEventsPro.Event.editItinerary('.$id.');">'.JText::_('COM_RSEVENTSPRO_EVENT_ITINERARY_EDIT').'</a></li>';
		$html[] = '<li><a class="dropdown-item" href="javascript:;" onclick="RSEventsPro.Event.removeItinerary('.$id.');">'.JText::_('COM_RSEVENTSPRO_EVENT_ITINERARY_DELETE').'</a></li>';
		$html[] = '</ul>';
		$html[] = '</li>';
		
		return implode("\n", $html);
	}
	
	public static function addPillContent($id, $content, $active = false) {
		$html = array();
		
		$id = (int) $id;
		
		$html[] = '<div class="tab-pane'.($active ? ' show active' : '').'" id="rsepro-pills-'.$id.'" role="tabpanel" aria-labelledby="rsepro-pills-'.$id.'-tab">';
		$html[] = '<button type="button" onclick="RSEventsPro.Event.addTimeline('.$id.');" class="btn btn-primary btn-block">'.JText::_('COM_RSEVENTSPRO_EVENT_ITINERARY_NEW_TIMELINE').'</button>';
		$html[] = '<div class="clearfix"></div>';
		$html[] = '<div id="rsepro-pills-content-'.$id.'" data-rsepro-sortable-timeline class="rsepro-mt-3">';
		$html[] = $content;
		$html[] = '</div>';
		$html[] = '</div>';
		
		return implode("\n", $html);
	}
	
	public static function addTimeline($timeline, $preview = false) {
		$html = array();
		
		$html[] = '<div class="well rsepro-mb-3" id="rsepro-itinerary-timeline-'.$timeline->id.'">';
		
		if (!$preview) {
			$html[] = '<div class="row-fluid rsepro-row-it">';
			$html[] = '<div class="span1 text-center">';
			$html[] = '<i class="fa fa-arrows-alt-v" style="cursor:n-resize;"></i>';
			$html[] = '</div>';
			$html[] = '<div class="span11">';
		}
		
		$html[] = '<div class="rsepro-well-body">';
		$html[] = '<h5 class="rsepro-well-title">'.$timeline->name.'</h5>';
		$html[] = '<h6 class="rsepro-well-subtitle muted">'.$timeline->start.' - '.$timeline->end.'</h6>';
		
		if ($timeline->description) {
			$html[] = '<p class="rsepro-well-text">'.$timeline->description.'</p>';
		}
		
		if (!$preview) {
			$html[] = '<a href="javascript:;" onclick="RSEventsPro.Event.editTimeline('.(int) $timeline->id.');" class="rsepro-well-link">'.JText::_('COM_RSEVENTSPRO_EVENT_ITINERARY_EDIT').'</a>';
			$html[] = '<a href="javascript:;" onclick="RSEventsPro.Event.removeTimeline('.(int) $timeline->id.');" class="rsepro-well-link">'.JText::_('COM_RSEVENTSPRO_EVENT_ITINERARY_DELETE').'</a>';
			$html[] = '</div>';
			$html[] = '</div>';
		}
		
		$html[] = '</div>';
		$html[] = '</div>';
		
		return implode("\n", $html);
	}
}