<?php
/**
* @package RSJoomla! Adapter
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

class RSEventsproAdapterItinerary {
	
	public static function addPill($id, $title, $active = false) {
		$html = array();
		
		$id = (int) $id;
		
		$html[] = '<li class="nav-item" role="presentation">';
		$html[] = '<div class="btn-group">';
		$html[] = '<button class="nav-link'.($active ? ' active' : '').'" id="rsepro-pills-'.$id.'-tab" data-bs-toggle="pill" data-bs-target="#rsepro-pills-'.$id.'" type="button" role="tab" aria-controls="rsepro-pills-'.$id.'"'.($active ? ' aria-selected="true"' : '').'>'.$title.'</button>';
		$html[] = '<button type="button" class="dropdown-toggle btn" data-bs-toggle="dropdown" aria-expanded="false" data-bs-reference="parent">&nbsp;</button>';
		$html[] = '<ul class="dropdown-menu">';
		$html[] = '<li><a class="dropdown-item" href="javascript:;" onclick="RSEventsPro.Event.editItinerary('.$id.');">'.Text::_('COM_RSEVENTSPRO_EVENT_ITINERARY_EDIT').'</a></li>';
		$html[] = '<li><a class="dropdown-item" href="javascript:;" onclick="RSEventsPro.Event.removeItinerary('.$id.');">'.Text::_('COM_RSEVENTSPRO_EVENT_ITINERARY_DELETE').'</a></li>';
		$html[] = '</ul>';
		$html[] = '</div>';
		$html[] = '</li>';
		
		return implode("\n", $html);
	}
	
	public static function addPillContent($id, $content, $active = false) {
		$html = array();
		
		$id = (int) $id;
		
		$html[] = '<div class="tab-pane'.($active ? ' show active' : '').'" id="rsepro-pills-'.$id.'" role="tabpanel" aria-labelledby="rsepro-pills-'.$id.'-tab">';
		$html[] = '<div class="d-grid">';
		$html[] = '<button type="button" onclick="RSEventsPro.Event.addTimeline('.$id.');" class="btn btn-primary">'.Text::_('COM_RSEVENTSPRO_EVENT_ITINERARY_NEW_TIMELINE').'</button>';
		$html[] = '</div>';
		$html[] = '<div class="clearfix"></div>';
		$html[] = '<div id="rsepro-pills-content-'.$id.'" data-rsepro-sortable-timeline class="mt-3">';
		$html[] = $content;
		$html[] = '</div>';
		$html[] = '</div>';
		
		return implode("\n", $html);
	}
	
	public static function addTimeline($timeline, $preview = false) {
		$html = array();
		
		$html[] = '<div class="card mb-3" id="rsepro-itinerary-timeline-'.$timeline->id.'">';
		$html[] = '<div class="row g-0 align-items-center">';
		
		if (!$preview) {
			$html[] = '<div class="col-md-1 text-center">';
			$html[] = '<i class="fa fa-arrows-alt-v" style="cursor:n-resize;"></i>';
			$html[] = '</div>';
			$html[] = '<div class="col-md-11">';
		}
		
		$html[] = '<div class="card-body">';
		$html[] = '<h5 class="card-title">'.$timeline->name.'</h5>';
		$html[] = '<h6 class="card-subtitle mb-2 text-muted">'.$timeline->start.' - '.$timeline->end.'</h6>';
		
		if ($timeline->description) {
			$html[] = '<p class="card-text">'.$timeline->description.'</p>';
		}
		
		if (!$preview) {
			$html[] = '<a href="javascript:;" onclick="RSEventsPro.Event.editTimeline('.(int) $timeline->id.');" class="card-link">'.Text::_('COM_RSEVENTSPRO_EVENT_ITINERARY_EDIT').'</a>';
			$html[] = '<a href="javascript:;" onclick="RSEventsPro.Event.removeTimeline('.(int) $timeline->id.');" class="card-link">'.Text::_('COM_RSEVENTSPRO_EVENT_ITINERARY_DELETE').'</a>';
			$html[] = '</div>';
		}
		
		$html[] = '</div>';
		$html[] = '</div>';
		$html[] = '</div>';
		
		return implode("\n", $html);
	}
}