<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

?>

<fieldset class="options-form">
	<legend><?php echo Text::_('COM_RSEVENTSPRO_EVENT_FAQ'); ?></legend>
	
	<div class="alert alert-info">
		<?php echo Text::_('COM_RSEVENTSPRO_EVENT_FAQ_DESC'); ?>
	</div>
	
	<div class="control-group <?php echo RSEventsproAdapterGrid::styles(array('pull-right')); ?>">
		<button type="button" id="rsepro-add-faq-question" class="btn btn-success"><?php echo Text::_('COM_RSEVENTSPRO_EVENT_FAQ_ADD'); ?></button>
	</div>
	
	<table id="rsepro-faq-questions" class="table align-middle" data-rsepro-sortable data-rsepro-sortable-prefix="faq" data-rsepro-sortable-ajax="saveOrderFaqAjax">
		<thead>
			<tr>
				<th width="2%"></th>
				<th><?php echo Text::_('COM_RSEVENTSPRO_EVENT_FAQ_QUESTION'); ?></th>
				<th width="2%"></th>
			</tr>
		</thead>
		<tbody>
			<?php if ($this->faqs) { ?>
			<?php foreach ($this->faqs as $question) { ?>
			<tr id="faq<?php echo $question->id; ?>">
				<td>
					<i class="fa fa-arrows-alt-v" style="cursor:n-resize;"></i>
				</td>
				<td>
					<a href="javascript:;" onclick="RSEventsPro.Event.editFaq('<?php echo $question->id; ?>')">
						<?php echo $this->escape($question->question); ?>
					</a>
				</td>
				<td>
					<a href="javascript:;" onclick="RSEventsPro.Event.removeFaq(<?php echo $question->id; ?>)">
						<i class="fa fa-times"></i>
					</a>
				</td>
			</tr>
			<?php } ?>
			<?php } ?>
		</tbody>
	</table>
	
	<table id="rsepro-faq-clone" style="display:none;">
		<tr>
			<td>
				<i class="fa fa-arrows-alt-v" style="cursor:n-resize;"></i>
			</td>
			<td>
				<a href="javascript:;"></a>
			</td>
			<td>
				<a href="javascript:;">
					<i class="fa fa-times"></i>
				</a>
			</td>
		</tr>
	</table>
	
</fieldset>

<div class="form-actions">
	<button class="btn btn-success rsepro-event-save" type="button"><?php echo Text::_('COM_RSEVENTSPRO_SAVE_EVENT'); ?></button>
	<button class="btn btn-success rsepro-event-update" type="button"><?php echo Text::_('COM_RSEVENTSPRO_UPDATE_EVENT'); ?></button>
	<button class="btn btn-danger rsepro-event-cancel" type="button"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL'); ?></button>
</div>

<?php
	$footer  = HTMLHelper::image('com_rseventspro/loader.gif', '', array('id' => 'rsepro-save-faq', 'style' => 'display: none;'), true);
	$footer .= '<a href="javascript:void(0)" class="btn btn-primary" onclick="RSEventsPro.Event.saveFaq();">'.Text::_('COM_RSEVENTSPRO_GLOBAL_SAVE').'</a>';
	$footer .= '<a href="javascript:void(0)" class="btn btn-danger" data-dismiss="modal" data-bs-dismiss="modal">'.Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL').'</a>';
	echo HTMLHelper::_('bootstrap.renderModal', 'newFaq', array('title' => Text::_('COM_RSEVENTSPRO_EVENT_FEEDBACK_ADD'), 'bodyHeight' => 40, 'footer' => $footer), '<div class="container-fluid form-horizontal p-3">'.$this->faqform->renderFieldset('general').'</div>');
?>