<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

?>

<fieldset class="options-form">
	<legend><?php echo Text::_('COM_RSEVENTSPRO_EVENT_ITINERARY'); ?></legend>
	
	<div class="alert alert-info"><?php echo Text::_('COM_RSEVENTSPRO_EVENT_ITINERARY_DESC'); ?></div>
	
	<div class="control-group <?php echo RSEventsproAdapterGrid::styles(array('pull-right')); ?>">
		<button type="button" id="rsepro-add-itinerary" class="btn btn-success"><?php echo Text::_('COM_RSEVENTSPRO_EVENT_ITINERARY_ADD'); ?></button>
	</div>
	
	<div class="clearfix"></div>
	
	<ul class="rsepro-itinerary-tabs nav nav-pills mb-3" id="rsepro-itinerary-tabs-j<?php echo rseventsproHelper::isJ4() ? '4' : '3'; ?>" role="tablist">
		<?php if ($this->itinerary) { ?>
		<?php foreach ($this->itinerary as $i => $itinerary) { ?>
		<?php echo RSEventsproAdapterItinerary::addPill($itinerary->id, $itinerary->name, $i == 0); ?>
		<?php } ?>
		<?php } ?>
	</ul>
	<div class="tab-content" id="rsepro-pills-content">
		<?php 
			if ($this->itinerary) {
				foreach ($this->itinerary as $j => $itinerary) {
					$content = '';
					if ($timelines = rseventsproHelper::getItineraryTimeline($itinerary->id)) {
						foreach ($timelines as $timeline) {
							$content .= RSEventsproAdapterItinerary::addTimeline($timeline);
						}
					}
					
					echo RSEventsproAdapterItinerary::addPillContent($itinerary->id, $content, $j == 0);
				}
			} 
		?>
	</div>
	
</fieldset>

<div class="form-actions">
	<button class="btn btn-success rsepro-event-save" type="button"><?php echo Text::_('COM_RSEVENTSPRO_SAVE_EVENT'); ?></button>
	<button class="btn btn-success rsepro-event-update" type="button"><?php echo Text::_('COM_RSEVENTSPRO_UPDATE_EVENT'); ?></button>
	<button class="btn btn-danger rsepro-event-cancel" type="button"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL'); ?></button>
</div>

<?php
	$footer  = HTMLHelper::image('com_rseventspro/loader.gif', '', array('id' => 'rsepro-save-itinerary', 'style' => 'display: none;'), true);
	$footer .= '<a href="javascript:void(0)" class="btn btn-primary" onclick="RSEventsPro.Event.saveItinerary();">'.Text::_('COM_RSEVENTSPRO_GLOBAL_SAVE').'</a>';
	$footer .= '<a href="javascript:void(0)" class="btn btn-danger" data-dismiss="modal" data-bs-dismiss="modal">'.Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL').'</a>';
	echo HTMLHelper::_('bootstrap.renderModal', 'newItinerary', array('title' => Text::_('COM_RSEVENTSPRO_EVENT_ITINERARY_ADD'), 'bodyHeight' => 40, 'footer' => $footer), '<div class="container-fluid form-horizontal p-3">'.$this->itineraryform->renderFieldset('general').'</div>');
	
	$footer  = HTMLHelper::image('com_rseventspro/loader.gif', '', array('id' => 'rsepro-save-timeline', 'style' => 'display: none;'), true);
	$footer .= '<a href="javascript:void(0)" class="btn btn-primary" onclick="RSEventsPro.Event.saveTimeline();">'.Text::_('COM_RSEVENTSPRO_GLOBAL_SAVE').'</a>';
	$footer .= '<a href="javascript:void(0)" class="btn btn-danger" data-dismiss="modal" data-bs-dismiss="modal">'.Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL').'</a>';
	echo HTMLHelper::_('bootstrap.renderModal', 'newItineraryTimeline', array('title' => Text::_('COM_RSEVENTSPRO_EVENT_TIMELINE_ADD'), 'bodyHeight' => 40, 'footer' => $footer), '<div class="container-fluid form-horizontal p-3">'.$this->timelineform->renderFieldset('general').'</div>');
?>