<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

?>

<script type="text/javascript">
function rs_clear() {
	jQuery('#searchstring').val('');
	jQuery('#state').val('-');
	document.adminForm.submit();
}

<?php if (isset($this->statistics) && $this->statistics['users']) { ?>
google.charts.load('current', {packages: ['corechart', 'bar']});
document.addEventListener('DOMContentLoaded', function() {
	jQuery('#rseFeedbackStatisticsModal').on('shown.bs.modal', function() {
	  google.charts.setOnLoadCallback(rseproDrawAllCharts);
	})
});

function rseproDrawAllCharts() {
	rseproDrawChartPie();
	for(i=0;i<<?php echo count($this->statistics['feedbacks']); ?>;i++) { 
		eval('rseproDrawChart' + i + '()');
	}
}

function rseproDrawChartPie() {
	var data = google.visualization.arrayToDataTable([
	  ['', ''],
	  ['<?php echo Text::_('COM_RSEVENTSPRO_FEEDBACK_CHART_SUBMITTED', true); ?>', <?php echo (int) $this->statistics['total']; ?>],
	  ['<?php echo Text::_('COM_RSEVENTSPRO_FEEDBACK_CHART_SUBMITTED_REMAINING', true); ?>', <?php echo (int) $this->statistics['remaining']; ?>]
	]);

	var options = {
		titlePosition: 'none',
		legend : {
			position: 'bottom'
		}
	};

	var chart = new google.visualization.PieChart(document.getElementById('rsepro_pie_chart'));
	chart.draw(data, options);
}

<?php foreach ($this->statistics['feedbacks'] as $i => $feedback) { ?>
function rseproDrawChart<?php echo $i; ?>() {
	<?php if ($feedback->data) { ?>
	var data = google.visualization.arrayToDataTable([
		['<?php echo Text::_('COM_RSEVENTSPRO_FEEDBACK_CHART_OPTIONS',true); ?>', '<?php echo Text::_('COM_RSEVENTSPRO_FEEDBACK_CHART_USERS',true); ?>'],
		<?php if ($feedback->type == 1) { ?>
		<?php foreach($feedback->data as $option => $value) { ?>
		['<?php echo $option == 'option1' ? Text::_('JYES') : Text::_('JNO'); ?>',<?php echo (int) $value; ?>],
		<?php } ?>
		<?php } elseif ($feedback->type == 5) { ?>
		<?php foreach($feedback->data as $option => $value) { ?>
		['<?php echo substr_replace(addslashes(html_entity_decode($option, ENT_QUOTES)), '', 0, 6); ?>',<?php echo (int) $value; ?>],
		<?php } ?>
		<?php } else { ?>
		<?php foreach($feedback->data as $option => $value) { ?>
		['<?php echo substr_replace($option, '', 0, 6); ?>',<?php echo (int) $value; ?>],
		<?php } ?>
		<?php } ?>
	]);
	
	var options = {
		titlePosition: 'none',
		legend : 'none',
		vAxis: {
			format: ''
		}
	};

	var chart = new google.visualization.ColumnChart(document.getElementById('rsepro_chart_div_<?php echo $i; ?>'));
	chart.draw(data,options);
	<?php } ?>
}
<?php } ?>
<?php } ?>
</script>

<form method="post" action="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&layout=feedbacks&id='.rseventsproHelper::sef($this->row->id,$this->row->name)); ?>" name="adminForm" id="adminForm">
	
	<h1><?php echo Text::sprintf('COM_RSEVENTSPRO_FEEDBACKS_FOR',$this->row->name); ?></h1>
	
	<div class="<?php echo RSEventsproAdapterGrid::row(); ?>">
		<div class="<?php echo RSEventsproAdapterGrid::column(6); ?>">
			<?php echo RSEventsproAdapterGrid::inputGroup('<input type="text" name="search" id="searchstring" onchange="adminForm.submit();" value="'.$this->filter_word.'" class="form-control" />', null, '<button type="button" class="btn btn-primary hasTooltip" title="'.Text::_('COM_RSEVENTSPRO_GLOBAL_SEARCH').'" onclick="adminForm.submit();"><i class="fa fa-search"></i></button> <button type="button" class="btn btn-danger hasTooltip" title="'.Text::_('COM_RSEVENTSPRO_GLOBAL_CLEAR').'" onclick="rs_clear();"><i class="fa fa-times"></i></button>'); ?>
		</div>
		<div class="<?php echo RSEventsproAdapterGrid::column(6); ?> text-right">
			<?php if (isset($this->statistics) && $this->statistics['users']) { ?>
			<a class="btn btn-secondary" href="javascript:;" onclick="jQuery('#rseFeedbackStatisticsModal').modal('show');"><?php echo Text::_('COM_RSEVENTSPRO_FEEDBACK_STATISTICS'); ?></a>
			<?php } ?>
			<a class="btn btn-secondary" href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&layout=show&id='.rseventsproHelper::sef($this->row->id,$this->row->name),false,rseventsproHelper::itemid($this->row->id)); ?>"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_BACK'); ?></a>
		</div>
	</div>
	<div class="rs_clear"></div>
	<br /><br />

	<?php $count = count($this->data); ?>
	<?php if (!empty($this->data)) { ?>
	<ul class="rs_events_container" id="rs_events_container">
	<?php foreach($this->data as $row) { ?>
	<li class="rs_event_detail">
		<div class="rsepro-event-options rs_options" style="display:none;">
			<a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&task=rseventspro.deletefeedback&id='.rseventsproHelper::sef($row->id,($row->name ? $row->name : $row->email)).'&ide='.rseventsproHelper::sef($this->row->id,$this->row->name),false); ?>" onclick="return confirm('<?php echo Text::_('COM_RSEVENTSPRO_DELETE_FEEDBACK_CONFIRMATION'); ?>');">
				<i class="fa fa-trash fa-fw"></i>
			</a>
		</div>
		<div class="rs_event_details rs_inline">
			<a href="javascript:;" onclick="rsepro_open_feedback(<?php echo (int) $row->id; ?>,<?php echo (int) $this->row->id; ?>)"><?php echo $row->name ? $row->name : $row->email; ?></a> <br />
			<?php echo rseventsproHelper::showdate($row->date,null,true); ?>
		</div>
	</li>
	<?php } ?>
	</ul>
	<div class="rs_loader" id="rs_loader" style="display:none;">
		<?php echo HTMLHelper::image('com_rseventspro/loader.gif', '', array(), true); ?> 
	</div>
	<?php if ($this->total > $count) { ?>
		<p id="rsepro_number_events"><?php echo Text::sprintf('COM_RSEVENTSPRO_SHOWING_FEEDBACKS','<span>'.$count.'</span>',$this->total); ?></p>
		<a class="rs_read_more" id="rsepro_loadmore"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_LOAD_MORE'); ?></a>
	<?php } ?>
	<span id="total" class="rs_hidden"><?php echo $this->total; ?></span>
	<span id="Itemid" class="rs_hidden"><?php echo Factory::getApplication()->input->getInt('Itemid'); ?></span>
	<?php } else echo Text::_('COM_RSEVENTSPRO_NO_FEEDBACKS'); ?>
	
	<?php echo HTMLHelper::_( 'form.token' ); ?>
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="option" value="com_rseventspro" />
	<input type="hidden" name="view" value="rseventspro" />
</form>

<?php echo HTMLHelper::_('bootstrap.renderModal', 'rseFeedbackModal', array('title' => Text::_('COM_RSEVENTSPRO_FEEDBACK_TITLE'), 'bodyHeight' => 70, 'height' => '100%', 'width'  => '100%', 'modalWidth'  => '80', 'footer' => '<button type="button" data-dismiss="modal" data-bs-dismiss="modal" class="btn btn-danger">'.Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL').'</button>'), '<div class="container-fluid rsepro-feedback-form" id="rsepro-feedback-container-j'.(rseventsproHelper::isJ4() ? '4' : '3').'"></div>'); ?>

<?php if (isset($this->statistics) && $this->statistics['users']) echo HTMLHelper::_('bootstrap.renderModal', 'rseFeedbackStatisticsModal', array('title' => Text::_('COM_RSEVENTSPRO_FEEDBACK_STATISTICS'), 'bodyHeight' => 70, 'footer' => '<button type="button" data-dismiss="modal" data-bs-dismiss="modal" class="btn btn-danger">'.Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL').'</button>'), $this->loadTemplate('statistics')); ?>

<script type="text/javascript">
	jQuery(document).ready(function(){
		<?php if ($this->total > $count) { ?>
		jQuery('#rsepro_loadmore').on('click', function() {
			rspagination('feedbacks',jQuery('#rs_events_container > li').length,<?php echo $this->row->id; ?>);
		});
		<?php } ?>
		
		<?php if (!empty($count)) { ?>
		jQuery('#rs_events_container li').on({
			mouseenter: function() {
				jQuery(this).find('div.rsepro-event-options').css('display','');
			},
			mouseleave: function() {
				jQuery(this).find('div.rsepro-event-options').css('display','none');
			}
		});
		<?php } ?>
	});
</script>