<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

$count = count($this->locations); ?>

<?php if ($this->params->get('show_page_heading', 1)) { ?>
<?php $title = $this->params->get('page_heading', ''); ?>
<h1><?php echo !empty($title) ? $this->escape($title) : Text::_('COM_RSEVENTSPRO_LOCATIONS'); ?></h1>
<?php } ?>

<?php if (!empty($this->locations)) { ?>
<ul class="rs_events_container rsepro-locations-list" id="rs_events_container">
	<?php foreach($this->locations as $location) { ?>
	<li>
		<div class="<?php echo RSEventsproAdapterGrid::card(); ?>">
			<div class="card-body">
				<div class="rsepro-event-options rs_options" style="display:none;">
					<?php if ((!empty($this->permissions['can_edit_locations']) || $this->admin) && !empty($this->user)) { ?>
						<a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&layout=editlocation&id='.rseventsproHelper::sef($location->id,$location->name)); ?>">
							<i class="fa fa-edit"></i>
						</a>
					<?php } ?>
					<a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&layout=location&id='.rseventsproHelper::sef($location->id,$location->name)); ?>">
						<i class="fa fa-eye"></i>
					</a>
				</div>
				
				<div class="rs_heading">
					<a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&location='.rseventsproHelper::sef($location->id,$location->name)); ?>">
						<?php echo $location->name; ?>
						<?php if ($this->params->get('events',0)) { ?>
						<?php $events = (int) $this->getNumberEvents($location->id,'locations'); ?>
						<?php if (!empty($events)) { ?>
						<small>(<?php echo $this->getNumberEvents($location->id,'locations'); ?>)</small>
						<?php } ?>
						<?php } ?>
					</a>
				</div>
				
				<?php if ($this->params->get('address', 1) || $this->params->get('url', 1)) { ?>
				<div class="rs_location_info">
					<?php if ($this->params->get('address', 1) && !empty($location->address)) { ?><i class="fa fa-map-marker fa-fw"></i> <?php echo $location->address; ?><br><?php } ?>
					<?php if ($this->params->get('url', 1) && !empty($location->url)) { ?><i class="fa fa-globe fa-fw"></i> <a href="<?php echo $location->url; ?>" target="_blank"><?php echo $location->url; ?></a><?php } ?>
				</div>
				<?php } ?>
				
				<div class="rs_description">
					<?php echo rseventsproHelper::shortenjs($location->description,$location->id,255,$this->params->get('type', 1)); ?>
				</div>
			</div>
		</div>
	</li>
	<?php } ?>
</ul>
<?php } ?>

<span id="total" class="rs_hidden"><?php echo $this->total; ?></span>
<span id="Itemid" class="rs_hidden"><?php echo Factory::getApplication()->input->getInt('Itemid'); ?></span>

<div class="rs_loader" id="rs_loader" style="display:none;">
	<?php echo HTMLHelper::image('com_rseventspro/loader.gif', '', array(), true); ?>
</div>

<?php if ($this->total > $count) { ?>
	<p id="rsepro_number_events"><?php echo Text::sprintf('COM_RSEVENTSPRO_SHOWING_LOCATIONS','<span>'.$count.'</span>',$this->total); ?></p>
	<a class="rs_read_more" id="rsepro_loadmore"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_LOAD_MORE'); ?></a>
<?php } ?>

<script type="text/javascript">
	jQuery(document).ready(function() {
		<?php if ($this->total > $count) { ?>
		jQuery('#rsepro_loadmore').on('click', function() {
			rspagination('locations', jQuery('#rs_events_container > li').length);
		});
		<?php } ?>
		
		<?php if (!empty($count)) { ?>
		jQuery('#rs_events_container li').on({
			mouseenter: function() {
				jQuery(this).find('div.rsepro-event-options').css('display','');
			},
			mouseleave: function() {
				jQuery(this).find('div.rsepro-event-options').css('display','none');
			}
		});
		<?php } ?>
	});
</script>