<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Language\Text;

Text::script('COM_RSEVENTSPRO_TICKETS'); 
Text::script('COM_RSEVENTSPRO_SEATS'); 
Text::script('COM_RSEVENTSPRO_SELECT_TICKETS');
$modal = $this->config->modal == 1; ?>

<script type="text/javascript">
	<?php foreach ($this->tickets as $ticket) { ?>
var ticket_limit_<?php echo $ticket->id; ?> = <?php echo (int) rseventsproHelper::getAvailable($this->event->id, $ticket->id); ?>;
	<?php } ?>
	
	if (window.dialogArguments) {
		var thedocument = window.dialogArguments;
	} else {
		var thedocument = window.opener || window.parent;
	}
	
	jQuery(document).ready(function() {
		jQuery('#rsepro_wrapper').css('height', jQuery(window).height() - 100);
		
		thedocument.jQuery('<?php echo $this->event->form == 0 ? '#rsepro-cart-details input' : '#rsepro_selected_tickets input'; ?>').each(function () {
			if (jQuery(this).prop('name').indexOf('unlimited') != -1) {
				ticketid = jQuery(this).prop('name').replace('unlimited[','').replace(']','');
				jQuery('#rsepro_unlimited_'+ticketid).val(jQuery(this).val());
			} else {
				ticketid = jQuery(this).prop('id').replace('ticket','');
				jQuery('#rsepro_seat_'+ticketid).addClass('rsepro_selected');
			}
		});
	});
	
	function rsepro_close() {
		<?php if ($modal) { ?>
		thedocument.<?php echo $this->event->form == 0 ? 'rsepro_multi_seats_total()' : 'rsepro_update_total()'; ?>;window.close();
		<?php } else { ?>
		<?php echo rseventsproHelper::modalClose(false, true); ?>
		<?php } ?>
	}
	
	function rsepro_seats_select(id, place, name, price) {
		<?php if ($this->event->form == 0) { ?>rsepro_add_ticket_seats(id, place);<?php } else { ?>rsepro_add_ticket(id, place, name, price);<?php } ?>
	}
	
	function rsepro_seats_reset(text) {
		<?php if ($this->event->form == 0) { ?>rsepro_reset_tickets_seats();<?php } else { ?>rsepro_reset_tickets(text);<?php } ?>
	}
	
</script>

<style>
    <?php foreach ($this->tickets as $ticket) { ?>
    <?php if ($ticket->bg_ticket) { ?>#draggable<?php echo $ticket->id; ?> { background-color: <?php echo $ticket->bg_ticket; ?>; }<?php } ?>

    <?php if ($ticket->bg_seat || $ticket->bg_seat_text) { ?>
    #draggable<?php echo $ticket->id; ?> .rsepro_ticket_seat:not(.rsepro_disabled) {
        <?php if ($ticket->bg_seat) { ?>background-color: <?php echo $ticket->bg_seat; ?>;<?php } ?>
        <?php if ($ticket->bg_seat_text) { ?>color: <?php echo $ticket->bg_seat_text; ?>;<?php } ?>
    }
    <?php } ?>

    <?php if ($ticket->bg_seat_selected) { ?>#draggable<?php echo $ticket->id; ?> .rsepro_ticket_seat.rsepro_selected { background-color: <?php echo $ticket->bg_seat_selected; ?>; }<?php } ?>

    <?php } ?>
</style>

<div id="rsepro_wrapper">
	<?php $left = 10; $top = 10; ?>
	<?php foreach ($this->tickets as $ticket) { ?>
	<?php $checkticket = rseventsproHelper::checkticket($ticket->id); ?>
	<?php if ($checkticket == -1) continue; ?>
	<?php $style = empty($ticket->position) ? 'top: '.$top.'px; left: '.$left.'px; width: 90px;' : rseventsproHelper::parseStyle($ticket->position); ?>
	<?php $price = $ticket->price ? rseventsproHelper::currency($ticket->price) : Text::_('COM_RSEVENTSPRO_GLOBAL_FREE'); ?>
	<?php $selected = rseventsproHelper::getSelectedSeats($ticket->id); ?>
	<div id="draggable<?php echo $ticket->id; ?>" class="draggable rsepro_front ui-widget-content" style="<?php echo $style; ?>">
		<div class="rsepro_ticket_container">
			<div class="rsepro_ticket_name">
				<?php echo $ticket->name; ?> - 
				<?php echo $price; ?>
				<?php if (!empty($ticket->description)) { ?>
				<i class="fa fa-info-circle <?php echo rseventsproHelper::tooltipClass(); ?>" title="<?php echo rseventsproHelper::tooltipText($ticket->description); ?>"></i>
				<?php } ?>
			</div>
		</div>
		<div id="rsepro_ticket_seats<?php echo $ticket->id; ?>" class="rsepro_ticket_seats">
			<?php if (!$ticket->seats) { ?>
			<div class="rsepro_ticket_unlimited">
				<input type="text" id="rsepro_unlimited_<?php echo $ticket->id; ?>" name="tickets[<?php echo $ticket->id; ?>][]" value="" onkeyup="javascript:this.value=this.value.replace(/[^0-9]/g, '');rsepro_seats_select('<?php echo $ticket->id; ?>', 0, '<?php echo rawurlencode($ticket->name); ?>', '<?php echo $price; ?>');" class="input-mini rsepro_ticket_center" size="5" />
			</div>
			<?php } else { ?>
			<?php echo rseventsproHelper::showTicketSeats($ticket, $selected, $price); ?>
			<?php } ?>
		</div>
	</div>
	<?php $left += 200; ?>
	<?php } ?>
</div>

<div style="text-align: center;">
	<button type="button" class="btn btn-success" onclick="rsepro_close();"><?php echo Text::_('COM_RSEVENTSPRO_CLOSE_TICKETS'); ?></button>
	<button type="button" class="btn btn-primary" onclick="rsepro_seats_reset('<?php echo Text::_('COM_RSEVENTSPRO_SELECT_TICKETS'); ?>');"><?php echo Text::_('COM_RSEVENTSPRO_RESET'); ?></button>
</div>