<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 

use Joomla\CMS\Language\Text;

?>

<script type="text/javascript">
jQuery(document).ready(function() {
	jQuery('#rsepro_wrapper').css('height', jQuery(window).height() - 100);
});
</script>

<style>
    <?php foreach ($this->tickets as $ticket) { ?>
    <?php if ($ticket->bg_ticket) { ?>#draggable<?php echo $ticket->id; ?> { background-color: <?php echo $ticket->bg_ticket; ?>; }<?php } ?>

    <?php if ($ticket->bg_seat || $ticket->bg_seat_text) { ?>
    #draggable<?php echo $ticket->id; ?> .rsepro_ticket_seat:not(.rsepro_disabled) {
        <?php if ($ticket->bg_seat) { ?>background-color: <?php echo $ticket->bg_seat; ?>;<?php } ?>
        <?php if ($ticket->bg_seat_text) { ?>color: <?php echo $ticket->bg_seat_text; ?>;<?php } ?>
    }
    <?php } ?>

    <?php if ($ticket->bg_seat_selected) { ?>#draggable<?php echo $ticket->id; ?> .rsepro_ticket_seat.rsepro_selected { background-color: <?php echo $ticket->bg_seat_selected; ?>; }<?php } ?>

    <?php } ?>
</style>

<div id="rsepro_wrapper">
	<?php $left = 10; $top = 10; ?>
	<?php foreach ($this->tickets as $ticket) { ?>
	<?php $style = empty($ticket->position) ? 'top: '.$top.'px; left: '.$left.'px; width: 90px;' : rseventsproHelper::parseStyle($ticket->position); ?>
	<?php $price = $ticket->price ? rseventsproHelper::currency($ticket->price) : Text::_('COM_RSEVENTSPRO_GLOBAL_FREE'); ?>
	<?php $selected = rseventsproHelper::getSelectedSeats($ticket->id,$this->id); ?>
	<?php $disabled = rseventsproHelper::getSelectedSeats($ticket->id); ?>
	<div id="draggable<?php echo $ticket->id; ?>" class="draggable rsepro_front ui-widget-content" style="<?php echo $style; ?>">
		<div class="rsepro_ticket_container">
			<div class="rsepro_ticket_name">
				<?php echo $ticket->name; ?> - 
				<?php echo $price; ?>
			</div>
		</div>
		<div id="rsepro_ticket_seats<?php echo $ticket->id; ?>" class="rsepro_ticket_seats">
			<?php if (!$ticket->seats) { ?>
			<div class="rsepro_ticket_unlimited">
				<?php echo rseventsproHelper::getTotalUnlimited($ticket->id,$this->id); ?> <?php echo Text::_('COM_RSEVENTSPRO_UNLIMITED_TICKETS'); ?>
			</div>
			<?php } else { ?>
			<?php echo rseventsproHelper::showTicketSeats($ticket, $disabled, null, $selected); ?>
			<?php } ?>
		</div>
	</div>
	<?php $left += 200; ?>
	<?php } ?>
</div>
<div class="rsepro_legend">
	<div class="rsepro_ticket_seat rsepro_user_selected">&nbsp;</div> &nbsp; <?php echo Text::_('COM_RSEVENTSPRO_USER_SELECTED_SEATS'); ?>
	<div class="rsepro_clear"></div>
	<div class="rsepro_ticket_seat rsepro_disabled">&nbsp;</div> &nbsp; <?php echo Text::_('COM_RSEVENTSPRO_DISABLED_SEATS'); ?>
</div>