<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;

Text::script('COM_RSEVENTSPRO_WAITING_MESSAGE_NAME');
Text::script('COM_RSEVENTSPRO_WAITING_MESSAGE_EMAIL');
Text::script('COM_RSEVENTSPRO_WAITING_INVALID_EMAIL_ADDRESS');
Text::script('COM_RSEVENTSPRO_CONSENT_INFO'); ?>

<form action="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&layout=waiting'); ?>" method="post" name="waitinglistForm" id="waitinglistForm" class="form-horizontal" autocomplete="off">

	<div class="alert alert-info"><?php echo Text::_('COM_RSEVENTSPRO_WAITING_LIST_INFO'); ?></div>
	
	<div class="form-horizontal rsepro-horizontal">
		<?php echo RSEventsproAdapterGrid::renderField('<label for="name">'.Text::_('COM_RSEVENTSPRO_WAITING_NAME').'</label>','<input type="text" name="name" id="name" value="'.Factory::getUser()->get('name').'" size="40" class="form-control" />'); ?>
		<?php echo RSEventsproAdapterGrid::renderField('<label for="name">'.Text::_('COM_RSEVENTSPRO_WAITING_EMAIL').'</label>','<input type="text" name="email" id="email" value="'.Factory::getUser()->get('email').'" size="40" class="form-control" />'); ?>
		
		<?php if (in_array(4,$this->captcha_use)) { ?>
		<div class="control-group">
			<div class="control-label">
			
			</div>
			<div class="controls">
				<div class="rsepro-waitinglist-captcha">
					<?php if ($this->config->captcha == 1) { ?>			
					<img id="captcha" src="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&task=captcha&tmpl=component&rand='.rand(),false); ?>" onclick="javascript:reloadWaitinglistCaptcha()" />
					<span class="explain">
						<?php echo Text::_('COM_RSEVENTSPRO_CAPTCHA_TEXT'); ?> <br /> <?php echo Text::_('COM_RSEVENTSPRO_CAPTCHA_RELOAD'); ?>
					</span>
					<input type="text" id="secret" name="secret" value="" class="input-small" />
					<?php } elseif ($this->config->captcha == 2) { ?>
					<div id="rse-g-recaptcha"></div>
					<?php } elseif ($this->config->captcha == 3) { ?>
					<div id="h-captcha-rseWaitinglist"></div>
					<?php } ?>
				</div>
			</div>
		</div>
		<?php } ?>
		
		<?php if ($this->config->consent) { ?>
		<div class="control-group">
			<div class="controls">
				<label class="checkbox inline">
					<input type="checkbox" name="consent" id="consent" value="1" /> <?php echo Text::_('COM_RSEVENTSPRO_CONSENT'); ?>
				</label>
			</div>
		</div>
		<?php } ?>
	</div>

	<div class="control-group">
		<div class="controls">
			<button type="submit" class="button btn btn-primary" onclick="return rsepro_validate_waitinglist();"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_SAVE'); ?></button> <?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_OR'); ?> 
			<?php echo rseventsproHelper::redirect(false,Text::_('COM_RSEVENTSPRO_GLOBAL_CANCEL'),rseventsproHelper::route('index.php?option=com_rseventspro&layout=show&id='.rseventsproHelper::sef($this->event->id,$this->event->name),false,rseventsproHelper::itemid($this->event->id))); ?>
		</div>
	</div>
	
	<?php echo HTMLHelper::_('form.token')."\n"; ?>
	<input type="hidden" name="option" value="com_rseventspro" />
	<input type="hidden" name="task" value="rseventspro.waiting" />
	<input type="hidden" name="id" value="<?php echo $this->event->id; ?>" />
	<input type="hidden" name="tmpl" value="component" />
</form>