<?php
/**
* @package RSEvents!Pro
* @copyright (C) 2020 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Layout\LayoutHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

?>

<?php if ($this->params->get('show_page_heading', 1)) { ?>
<?php $title = $this->params->get('page_heading', ''); ?>
<h1><?php echo !empty($title) ? $this->escape($title) : Text::_('COM_RSEVENTSPRO_ALL_SUBSCRIPTIONS'); ?></h1>
<?php } ?>

<form method="post" action="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&view=subscriptions'); ?>" name="adminForm" id="adminForm">
	
	<?php echo LayoutHelper::render('joomla.searchtools.default', array('view' => $this)); ?>
	
	<?php $count = count($this->items); ?>
	<?php if (!empty($this->items)) { ?>
	<ul class="rs_events_container" id="rs_events_container">
	<?php foreach($this->items as $row) { ?>
	<li class="rs_event_detail">
		<div class="rsepro-event-options rs_options" style="display:none;">
			<?php if (!empty($this->permissions['can_edit_subscriptions'])) { ?>
			<a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&layout=editsubscriber&id='.rseventsproHelper::sef($row->id,$row->name).'&from=subscriptions',false); ?>">
				<i class="fa fa-edit fa-fw"></i>
			</a>
			<?php } ?>
			<?php if (!empty($this->permissions['can_delete_subscriptions'])) { ?>
			<a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&task=rseventspro.removesubscriber&id='.rseventsproHelper::sef($row->id,$row->name).'&from=subscriptions',false); ?>"  onclick="return confirm('<?php echo Text::_('COM_RSEVENTSPRO_DELETE_SUBSCRIBER_CONFIRMATION'); ?>');">
				<i class="fa fa-trash fa-fw"></i>
			</a>
			<?php } ?>
			<?php if (!empty($this->permissions['can_change_subscriptions'])) { ?>
			<a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&task=rseventspro.approve&id='.rseventsproHelper::sef($row->id,$row->name).'&from=subscriptions',false); ?>" title="<?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_APPROVE'); ?>">
				<i class="fa fa-check fa-fw"></i>
			</a>
			<a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&task=rseventspro.pending&id='.rseventsproHelper::sef($row->id,$row->name).'&from=subscriptions',false); ?>" title="<?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_PENDING'); ?>">
				<i class="fa fa-exclamation-triangle fa-fw"></i>
			</a>
			<a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&task=rseventspro.denied&id='.rseventsproHelper::sef($row->id,$row->name).'&from=subscriptions',false); ?>" title="<?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_DENIED'); ?>">
				<i class="fa fa-minus-circle fa-fw"></i>
			</a>
			<a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&task=rseventspro.refund&id='.rseventsproHelper::sef($row->id,$row->name).'&from=subscriptions',false); ?>" title="<?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_REFUND'); ?>">
				<i class="fa fa-backward fa-fw"></i>
			</a>
			<?php } ?>
			<?php if ($row->state == 1 && rseventsproHelper::hasInvoice($row->id) && !empty($this->permissions['can_edit_subscriptions'])) { ?>
			<a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&task=rseventspro.invoice&id='.rseventsproHelper::sef($row->id,$row->name),false); ?>" title="<?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_INVOICE'); ?>">
				<i class="fa fa-file-pdf fa-fw"></i>
			</a>
			<?php } ?>
		</div>
		<div class="rs_event_details rs_inline">
			<?php if (!empty($this->permissions['can_edit_subscriptions'])) { ?><a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&layout=editsubscriber&id='.rseventsproHelper::sef($row->id,$row->name).'&from=subscriptions',false); ?>"><?php } ?>
				<?php echo $row->name; ?>
			<?php if (!empty($this->permissions['can_edit_subscriptions'])) { ?></a><?php } ?> 
			<small>
				[
					<?php if (!empty($this->permissions['can_edit_subscriptions'])) { ?><a href="<?php echo rseventsproHelper::route('index.php?option=com_rseventspro&layout=editsubscriber&id='.rseventsproHelper::sef($row->id,$row->name).'&from=subscriptions',false); ?>"><?php } ?>
						<?php echo $row->email; ?>
					<?php if (!empty($this->permissions['can_edit_subscriptions'])) { ?></a><?php } ?>
				]
			</small> 
			<br>
			<?php echo rseventsproHelper::showdate($row->date,null,true); ?> <?php if ($row->gateway) echo '- '.rseventsproHelper::getPayment($row->gateway); ?> - <?php echo $row->ip; ?>
			<br>
			<?php echo Text::_('COM_RSEVENTSPRO_ALL_SUBSCRIPTIONS_EVENTS'); ?> <?php echo $this->getEvents($row); ?>
		</div>
		<div class="rs_status"><?php echo Text::_('COM_RSEVENTSPRO_GLOBAL_STATUS'); ?>: <?php echo $this->getStatus($row->state); ?></div>
	</li>
	<?php } ?>
	</ul>
	
	<div class="com-rseventspro-subscriptions_navigation w-100 <?php echo !rseventsproHelper::isJ4() ? 'pagination' : ''; ?>">
		<p class="com-rseventspro-subscriptions_counter <?php echo RSEventsproAdapterGrid::styles(array('counter','pull-right')); ?>">
			<?php echo $this->pagination->getPagesCounter(); ?>
		</p>
		<div class="com-rseventspro-subscriptions_pagination">
			<?php echo $this->pagination->getPagesLinks(); ?>
		</div>
	</div>
	
	<?php } else echo Text::_('COM_RSEVENTSPRO_NO_SUBSCRIBERS'); ?>
	
	<?php echo HTMLHelper::_( 'form.token' ); ?>
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="option" value="com_rseventspro" />
</form>

<?php if (!empty($count)) { ?>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#rs_events_container li').on({
			mouseenter: function() {
				jQuery(this).find('div.rsepro-event-options').css('display','');
			},
			mouseleave: function() {
				jQuery(this).find('div.rsepro-event-options').css('display','none');
			}
		});
	});
</script>
<?php } ?>