/*!
 * jQuery RSRating! - A Star Rating Plugin
 *
 * The GPL License
 *
 * @author  : RSjoomla.com
 * @version : 1.0.0
 * 
 */

(function($) {
	'use strict';

	$.fn.rsrating = function(options) {
		var initial_rating 	= options.initial ? options.initial : 0;
		var ratingElements 	= $(this).find('li a');
		var self			= $(this);
		
		ratingElements.each(function (index,el) {
			$(el).on('mouseenter', function() {
				for (var i = 0; i <= index; i++) {
					$(ratingElements[i]).removeClass('far').addClass('fas');
				}

				for (var j = index + 1; j < ratingElements.length; j++) {
					$(ratingElements[j]).removeClass('fas').addClass('far');
				}

			}).on('click', function() {
				var vote = index + 1;
				
				self.off('mouseleave');
				ratingElements.off('click').off('mouseenter');
				
				$.ajax({
					url: options.root + 'index.php?option=com_rseventspro&task=rseventspro.rate',
					dataType: 'json',
					type: 'post',
					data: { feedback: vote, id: options.id, 'Itemid' : options.Itemid }
				}).done(function( response ) {
					if (typeof response.error != 'undefined') {
						Joomla.renderMessages({'error': [response.error]});
						setTimeout(() => {
							Joomla.removeMessages();
						}, 5000);
					} else {
						ratingElements.removeClass('far').removeClass('fas').addClass('far');
						
						for (var l = 0; l < response.rating; l++) {
							$(ratingElements[l]).removeClass('far').addClass('fas');
						}
						
						$(self).append(response.remove);
						$('.rseprotooltip').tooltip({"html": true,"container": "body"});
						
						ratingElements.off('mouseenter');
						
						Joomla.renderMessages({'message': [response.message]});
						setTimeout(() => {
							Joomla.removeMessages();
						}, 5000);
					}
				});
			});
		});

		$(this).on('mouseleave', function() {
			ratingElements.removeClass('far').removeClass('fas').addClass('far');
			
			for(var x = 0; x < initial_rating; x++) {
				jQuery(ratingElements[x]).removeClass('far').addClass('fas');
			}
		});
	};
})(jQuery);