<?php

/**
 * @package Helix3 Framework
 * @author JoomShaper https://www.joomshaper.com
 * @copyright (c) 2010 - 2021 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or Later
 */
//no direct accees
defined('_JEXEC') or die('resticted aceess');

class Helix3FeatureLogo
{

	private $helix3;
	public $position;

	public function __construct($helix3)
	{
		$this->helix3 = $helix3;
		$this->position = $this->helix3->getParam('logo_position', 'logo');
	}

	public function renderFeature()
	{

		//Retina Image
		if ($this->helix3->getParam('logo_type') == 'image') {
			jimport('joomla.image.image');

			if ($this->helix3->getParam('logo_image')) {
				$path = JPATH_ROOT . '/' . $this->helix3->getParam('logo_image');
			} else {
				$path = JPATH_ROOT . '/templates/' . $this->helix3->getTemplate() . '/images/presets/' . $this->helix3->Preset() . '/logo.png';
			}

			if (file_exists($path)) {
				$image = new JImage($path);
				$width 	= $image->getWidth();
				$height = $image->getHeight();
			} else {
				$width 	= '';
				$height = '';
			}
		}

		$html  = '';
		$custom_logo_class = '';
		$sitename = JFactory::getApplication()->get('sitename');

		if ($this->helix3->getParam('mobile_logo')) {
			$custom_logo_class = ' d-none d-lg-block';
		}

		$html .= '<a class="logo" href="' . JURI::base(true) . '/">';

		if ($this->helix3->getParam('logo_type') == 'image') {
			if ($this->helix3->getParam('logo_image')) {
				$html .= '<span>';
				$html .= '<img class="sp-default-logo' . $custom_logo_class . '" src="' . $this->helix3->getParam('logo_image') . '" srcset="' . ($this->helix3->getParam('logo_image_2x') ? $this->helix3->getParam('logo_image_2x') . ' 2x' : '') . '" alt="' . $sitename . '">';

				if ($this->helix3->getParam('mobile_logo')) {
					$html .= '<img class="sp-default-logo visible-xs" src="' . $this->helix3->getParam('mobile_logo') . '" alt="' . $sitename . '">';
				}

				$html .= '</span>';
			} else {
				$html .= '<span>';
				$html .= '<img class="sp-default-logo' . $custom_logo_class . '" src="' . $this->helix3->getTemplateUri() . '/images/presets/' . $this->helix3->Preset() . '/logo.png" alt="' . $sitename . '">';
				if ($this->helix3->getParam('mobile_logo')) {
					$html .= '<img class="sp-default-logo d-block d-lg-none" src="' . $this->helix3->getParam('mobile_logo') . '" alt="' . $sitename . '">';
				}

				$html .= '</span>';
			}
		} else {
			if ($this->helix3->getParam('logo_text')) {
				$html .= '<pan>' . $this->helix3->getParam('logo_text') . '</pan>';
			} else {
				$html .= '<span>' . $sitename . '</span>';
			}

			if ($this->helix3->getParam('logo_slogan')) {
				$html .= '<p class="logo-slogan">' . $this->helix3->getParam('logo_slogan') . '</p>';
			}
		}

		$html .= '</a>';

		return $html;
	}
}
