/**
 * @package Helix3 Framework
 * @author JoomShaper http://www.joomshaper.com
 * @copyright Copyright (c) 2010 - 2018 JoomShaper
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */

//For react template
jQuery(function ($) {
    'use strict';
    var observer = new MutationObserver(function (mutations) {
        mutations.forEach(function (mutation) {
            var newNodes = mutation.addedNodes;
            if (newNodes !== null) {
                var $nodes = $(newNodes);

                $nodes.each(function () {
                    var $node = $(this);
                    $node.find('#clients-slider').each(function () {
                        if ($('#clients-slider').length) {
                            // slider for clients
                            $('#clients-slider').owlCarousel({
                                items: 4,
                                nav: true,
                                dots: true,
                                responsive: {
                                    0: {
                                        items: 1
                                    },
                                    768: {
                                        items: 3,
                                        margin: 30
                                    },
                                    1200: {
                                        items: 4,
                                        margin: 60
                                    }
                                }

                            });
                        }
                    });
                });
            }
        });
    });

    var config = {
        childList: true,
        subtree: true
    };
    // Pass in the target node, as well as the observer options
    observer.observe(document.body, config);
});

